## Workflow v2.10.0 -> v2.11.0

#### Releases

- builder v2.6.1 -> v2.7.1
- controller v2.10.0 -> v2.11.0
- dockerbuilder v2.5.2 -> v2.6.0
- fluentd v2.6.0 -> v2.6.1
- logger v2.4.1 -> v2.4.2
- minio v2.3.4 -> v2.3.5
- monitor v2.7.0 -> v2.7.1
- nsq v2.2.5 -> v2.2.6
- postgres v2.5.0 -> v2.5.1
- redis v2.2.4 -> v2.2.5
- registry v2.3.2 -> v2.3.3
- registry-token-refresher v1.1.0 -> v1.1.1
- router v2.8.1 -> v2.9.0
- slugbuilder v2.4.8 -> v2.4.9
- workflow v2.10.0 -> v2.11.0
- workflow-cli v2.10.0 -> v2.11.0
- workflow-e2e v2.8.0 -> v2.9.0
- workflow-manager v2.4.4 -> v2.4.5

#### Features

- [`bd97e3e`](https://github.com/drycc/builder/commit/bd97e3e15ff406989d6c97d1d572b1206787b9a2) (builder) - cleaner: delete from object store
- [`fcc5bb0`](https://github.com/drycc/builder/commit/fcc5bb0666adf892c12f17d2ae4a66f5abe45869) (builder) - Makefile: set docker build flags via environment variable
- [`ae03152`](https://github.com/drycc/controller/commit/ae03152028aee5bb181c20a2ed58dff215ba2812) (controller) - settings: Get timezone from environment variable (#1196)
- [`48cd872`](https://github.com/drycc/controller/commit/48cd87272e85a4e5d7fb75b30636ce38d67183a8) (controller) - Makefile: set docker build flags via environment variable
- [`003e8dd`](https://github.com/drycc/dockerbuilder/commit/003e8dd9c1f71c8cbe5a30c70955c356c80b4c3b) (dockerbuilder) - Makefile: set docker build flags via environment variable
- [`a1e28c8`](https://github.com/drycc/fluentd/commit/a1e28c86e1719f2112f9157574bf021c31218535) (fluentd) - Makefile: set docker build flags via environment variable
- [`8ce9845`](https://github.com/drycc/logger/commit/8ce9845701e62d000a95174417f325df3e7107d9) (logger) - Makefile: set docker build flags via environment variable
- [`b2fc347`](https://github.com/drycc/minio/commit/b2fc347315860b2da8d13f6e405c8b65bdb252ea) (minio) - Makefile: set docker build flags via environment variable
- [`bfdf091`](https://github.com/drycc/monitor/commit/bfdf091c3768ab4dfd2bdae2360c81280d7b466e) (monitor) - charts: add optional persistence storage to influxdb and grafana
- [`138fb11`](https://github.com/drycc/monitor/commit/138fb11af703f410c9861c0f048ee5fec803a12f) (monitor) - charts: add optional persistence storage to influxdb and grafana
- [`c58fde6`](https://github.com/drycc/monitor/commit/c58fde69e32fcd118862e927527c565b2c8e8a9c) (monitor) - Makefile: set docker build flags via environment variable
- [`b32fe54`](https://github.com/drycc/nsq/commit/b32fe54dcbc19a5ecfe38616f58494facbea67e0) (nsq) - Makefile: set docker build flags via environment variable
- [`524fdf5`](https://github.com/drycc/postgres/commit/524fdf51282ca688201db61e01e818cfcb9d89eb) (postgres) - Makefile: set docker build flags via environment variable
- [`0cf0deb`](https://github.com/drycc/redis/commit/0cf0debb6f891a2d8f5ca4197106b235a7c6712b) (redis) - Makefile: set docker build flags via environment variable
- [`4f46069`](https://github.com/drycc/registry/commit/4f46069113c8093b03c56bfbe1fd6dae701fe726) (registry) - Makefile: set docker build flags via environment variable
- [`faf2eb2`](https://github.com/drycc/registry-token-refresher/commit/faf2eb211b42f98fd1a5936af573b7870ab65fcc) (registry-token-refresher) - Makefile: set docker build flags via environment variable
- [`4ca3a74`](https://github.com/drycc/router/commit/4ca3a7411e4ddcacde3759c3be7a543e2f269818) (router) - router: make default app configurable
- [`5dba76c`](https://github.com/drycc/router/commit/5dba76ca8c8d8201291dd3a5231fcd08875561b8) (router) - router: make server_token flag configurable
- [`cf87e27`](https://github.com/drycc/router/commit/cf87e2700ebfc1cacc8b332026e6b5a5bc572bdb) (router) - Makefile: set docker build flags via environment variable
- [`30d2caa`](https://github.com/drycc/slugbuilder/commit/30d2caa540ae9658e6ca0bb97ffd66abe509afcd) (slugbuilder) - Makefile: set docker build flags via environment variable
- [`3ef0a86`](https://github.com/drycc/workflow/commit/3ef0a8615ad77f407f7b275644e42e07c597a38d) (workflow) Makefile: set docker build flags via environment variable
- [`6307677`](https://github.com/drycc/workflow/commit/630767794f1b4254e7f3c46b103ab3bb77420133) (workflow) charts: add optional persistence storage to influxdb and grafana (#699)
- [`9b09080`](https://github.com/drycc/workflow-manager/commit/9b09080ce7ba6991362c33bf55d58a6753131706) (workflow-manager) - Makefile: set docker build flags via environment variable
- [`cc60fa0`](https://github.com/drycc/workflow-cli/commit/cc60fa059aa3e7a61bc3d68a0aea5e2bd01c531f) (workflow-cli) Makefile: set docker build flags via environment variable
- [`70797cb`](https://github.com/drycc/workflow-e2e/commit/70797cbdb76251ccbefc052820f81e52eaa7765f) (workflow-e2e) limits-cmd: accept new limits:set value type

#### Refactors

- [`7bb769f`](https://github.com/drycc/dockerbuilder/commit/7bb769f48a09c01f081ca79123be0526ecde7de3) (dockerbuilder) - deploy.py: placate new flake8 linter checks
- [`88f7007`](https://github.com/drycc/workflow/commit/88f7007c8f547946dfe6e5bc64ad93bab3a226a3) (workflow) upgrading-workflow: use -w 0 flag when base64 encoding
- [`3e65eba`](https://github.com/drycc/workflow/commit/3e65ebadbbbaf64eeed35c9e4c68bf145a555382) (workflow) quickstart: use markdown-include to de-duplicate quickstart info

#### Fixes

- [`634bfe9`](https://github.com/drycc/builder/commit/634bfe9409c8a8ac4060e25ce16cc4a1e374509d) (builder) - charts: reference registry-proxy on 127.0.0.1
- [`84b6342`](https://github.com/drycc/controller/commit/84b63426e4331ffba39cf16f75b135b43393cde4) (controller) - charts: pipeline time_zone value to quote func
- [`3f860bf`](https://github.com/drycc/controller/commit/3f860bfca316ecfa0de0b5318114c883bdceaf16) (controller) - Dockerfile: force gunzip of copyright archive
- [`e8f0284`](https://github.com/drycc/controller/commit/e8f0284da2c190d9b75d6d5ffbca0ae669f7e008) (controller) - Makefile: build docker image with --no-cache by default
- [`bdb5acd`](https://github.com/drycc/controller/commit/bdb5acdfb9dde926ca57b2c8c3be9df742b2e038) (controller) - api: add certificate private key validator migration (#1199)
- [`da408b3`](https://github.com/drycc/controller/commit/da408b3fb94c5af5f559a18746208d411d1a6aa1) (controller) - charts: reference registry-proxy on 127.0.0.1 (#1239)
- [`f14a6db`](https://github.com/drycc/dockerbuilder/commit/f14a6db42b436aee01abf328fac65472476b9dd1) (dockerbuilder) - Dockerfile: fix gunzip -f
- [`c9f6e01`](https://github.com/drycc/postgres/commit/c9f6e01574dfca47f9827ada5972739a4dc6487c) (postgres) - 001_setup_envdir.sh: inspect actual var instead of literal string
- [`5aafbac`](https://github.com/drycc/registry/commit/5aafbac11dd1e345dca8836df802b33f6518a3c3) (registry) - create-bucket: set BUCKET_NAME for swift
- [`96f0c61`](https://github.com/drycc/router/commit/96f0c6172ff9570fd2dc5259ad23a2201a7e457a) (router) - charts: remove deployment and service annotations
- [`6d0d344`](https://github.com/drycc/slugbuilder/commit/6d0d3448b6b02612e64f680cff83233ed7cbf940) (slugbuilder) - download_buildpack: define name of buildpack
- [`2817dbc`](https://github.com/drycc/workflow/commit/2817dbc8f5d98efb97ea7a54b51314c8fc8e923c) (workflow) azure: use regular storage instead of premium
- [`8691955`](https://github.com/drycc/workflow/commit/8691955c044f3ad2fab3a5db907b2ebd5146f16c) (workflow) azure/quickstart: fix Azure link in the menu
- [`0d647e5`](https://github.com/drycc/workflow/commit/0d647e516764ef9dae4f61897f24dbcc58b50d25) (workflow) applications: fixup --headers usage
- [`e6c9e23`](https://github.com/drycc/workflow/commit/e6c9e23923b3594819cea370c97b10ef187620a6) (workflow) tuning-component-settings: move LDAP settings under Controller

#### Documentation

- [`6cbd175`](https://github.com/drycc/builder/commit/6cbd175b4052a419577fc23a81d157b3560a96d9) (builder) - *: Fix typo in README.md
- [`7911fac`](https://github.com/drycc/builder/commit/7911face08f89032a664246f914bdd3a8570e9ec) (builder) - *: update main README.md
- [`51879b2`](https://github.com/drycc/controller/commit/51879b2913151cf3d11fb90bdd42da9702bd30cc) (controller) - README: specify correct python version
- [`1345f2c`](https://github.com/drycc/controller/commit/1345f2cafa69886cd2bfcc463d29cec3aac025a7) (controller) - README: update database usage in tests (#1233)
- [`64eeff1`](https://github.com/drycc/logger/commit/64eeff17a8684d4caf10f528a89a5f7dae9d87a7) (logger) - README.md: update Drycc Workflow reference
- [`9bcbcfd`](https://github.com/drycc/monitor/commit/9bcbcfd780a506dc655b370e6953c3c8212cef5f) (monitor) - README.md: update Drycc Workflow reference
- [`963c100`](https://github.com/drycc/nsq/commit/963c1003910f659b49675ce1bb26948c269019cf) (nsq) - README.md: update Drycc Workflow reference
- [`d9882fa`](https://github.com/drycc/redis/commit/d9882fac0b33c95987ca78727aa71beadde2e3a9) (redis) - README.md: update Drycc Workflow reference
- [`9293f37`](https://github.com/drycc/workflow-cli/commit/9293f37a5551defb9f2775b47fdb6eae1bda1c24) (workflow-cli) README: add latest stable release URL
- [`16034cc`](https://github.com/drycc/workflow/commit/16034cc94930b98be97ef1eb3456ee7681574608) (workflow) releases: omit obsolete requirement for a charts PR
- [`c61eedb`](https://github.com/drycc/workflow/commit/c61eedb184fab6b4f071fc27c307670675430db5) (workflow) releases: move workflow docs release after changelog PR
- [`d430e42`](https://github.com/drycc/workflow/commit/d430e42a089e923dc9afa6f39050d37e81330fe3) (workflow) azure: streamline azure boot process
- [`a71c0da`](https://github.com/drycc/workflow/commit/a71c0da9befc24a1dd267350c974d32317ec5c78) (workflow) installing-workflow: no periods in S3 bucket names
- [`7cc8b2f`](https://github.com/drycc/workflow/commit/7cc8b2f4c93469d8dbda7739196950360460dfd5) (workflow) production-deployments: recommend disabling grafana signups
- [`a5f92eb`](https://github.com/drycc/workflow/commit/a5f92ebbbe04761520659b36d572187ead5bbd97) (workflow) monitoring: document grafana and influxdb persistence (#713)
- [`c0410c6`](https://github.com/drycc/workflow/commit/c0410c66c93ff78d3e36a35025b362d5e6261b70) (workflow) components: document the monitoring stack
- [`4eea426`](https://github.com/drycc/workflow/commit/4eea4265c4345aaf0594193dfd0c243b947356bf) (workflow) Azure: remove service principal steps
- [`c65fae6`](https://github.com/drycc/workflow/commit/c65fae60895f7d286a3a8a4ff73fc81aa716a677) (workflow) Azure: note for kubernetes get-credentials
- [`a5d71e2`](https://github.com/drycc/workflow/commit/a5d71e2ddfd377c71e18e9fe5e4e198a3c398366) (workflow) Azure: Fix storage key and add note
- [`cccde15`](https://github.com/drycc/workflow/commit/cccde1538f37dd96b2166f456a64f01c51785e7f) (workflow) api/v2.3: add TLS API examples and index v2.3 API
- [`5a37885`](https://github.com/drycc/workflow/commit/5a3788539d3ee5dc32d7fb7189b28b5a19b82417) (workflow) managing-workflow: Add scaling the routers to the production deployment notes.
- [`c0285ed`](https://github.com/drycc/workflow/commit/c0285ed9edf6990161a9321159252a5d2318da22) (workflow) aws: update for latest k8s version available

#### Maintenance

- [`0ed0404`](https://github.com/drycc/builder/commit/0ed0404b928789d9bbf0278f9f13d688e7f3e11f) (builder) - Dockerfile: update drycc/base to v0.3.6
- [`d7f5ff0`](https://github.com/drycc/builder/commit/d7f5ff03d6801826c2137ed7ad046b2a0ce016c6) (builder) - glide: bump golang.org/x/crypto to b822463
- [`22106d2`](https://github.com/drycc/controller/commit/22106d22694d8108125af6a63d70d9d84608303b) (controller) - requirements: update Django to 1.10.5
- [`1c12587`](https://github.com/drycc/controller/commit/1c125875280a80ed4faf052732b1f6ffb7da544e) (controller) - Dockerfile: update drycc/base to v0.3.6 (#1197)
- [`4e45ef5`](https://github.com/drycc/controller/commit/4e45ef5866ff368de3ae7fb018ccf36de79dc376) (controller) - requirements: update requests to 2.12.5
- [`9faa4b2`](https://github.com/drycc/controller/commit/9faa4b22a34565b17db2c98e13823f15049b69c2) (controller) - dev_requirements: update coverage to 4.3.4
- [`4b7db76`](https://github.com/drycc/controller/commit/4b7db7670ea134b5716226a1a355d24751c46108) (controller) - requirements: update pyldap to 2.4.28
- [`d6b188d`](https://github.com/drycc/dockerbuilder/commit/d6b188d954bbef0ae6a296886596d533b006adf5) (dockerbuilder) - dev_requirements: upgrade flake8 to 3.2.1
- [`82f77c3`](https://github.com/drycc/dockerbuilder/commit/82f77c31963833f8d5624d4a69b0edef548fa4d1) (dockerbuilder) - Dockerfile: update drycc/base to v0.3.6
- [`40f647e`](https://github.com/drycc/fluentd/commit/40f647e00b0437c276386f4dcfa11bb761b2686c) (fluentd) - Dockerfile: update drycc/base to v0.3.6
- [`f7afeb7`](https://github.com/drycc/logger/commit/f7afeb7d15b2d7b2c1ab4331b1d2aa91d28e2d8e) (logger) - Dockerfile: update drycc/base to v0.3.6
- [`14342eb`](https://github.com/drycc/minio/commit/14342eb74e910a67ec060998ad21ea1f0aa61e8e) (minio) - Dockerfile: update drycc/base to v0.3.6
- [`8969f32`](https://github.com/drycc/monitor/commit/8969f3205d909dd06e171fec5f07a9b0e57ec357) (monitor) - Dockerfile: update Grafana to 4.0.2
- [`acb12e7`](https://github.com/drycc/monitor/commit/acb12e7490c52368978401a15030a8c8badb640f) (monitor) - Dockerfile: update drycc/base to v0.3.6
- [`ca8a140`](https://github.com/drycc/monitor/commit/ca8a14030e93ae332f90b15a19244f3803f976b7) (monitor) - Dockerfile: update Influxdb to 1.1.1
- [`287dd60`](https://github.com/drycc/monitor/commit/287dd60d606b0f2ea5e93638f12d20a6a31e09ea) (monitor) - Dockerfile: update Influxdb to 1.1.1
- [`7c3ca4b`](https://github.com/drycc/nsq/commit/7c3ca4b4a67a308f27852f07747b9914322556c4) (nsq) - Dockerfile: update drycc/base to v0.3.6
- [`d04a77b`](https://github.com/drycc/postgres/commit/d04a77b0addff9dfb48696b60ea969097be9974a) (postgres) - Dockerfile: update drycc/base to v0.3.6
- [`9f2e1b1`](https://github.com/drycc/redis/commit/9f2e1b13f95726dc5b82c668ded32ee44af0c063) (redis) - Dockerfile: update drycc/base to v0.3.6
- [`bb6bba4`](https://github.com/drycc/registry-token-refresher/commit/bb6bba4258a9dba4b8de2bcc1aebda4330061401) (registry-token-refresher) - Dockerfile: update drycc/base to v0.3.6
- [`dfb2cae`](https://github.com/drycc/router/commit/dfb2caef93642e87b737dad0b27ddd71526104a3) (router) - Dockerfile: update drycc/base to v0.3.6
- [`7638ca7`](https://github.com/drycc/slugbuilder/commit/7638ca7744b18fd9a83eccfb28e30595257d2495) (slugbuilder) - buildpacks: update heroku-buildpack-nodejs to v93
- [`ac0192f`](https://github.com/drycc/slugbuilder/commit/ac0192fbbd7ecf6bf217239fa65a352648daf498) (slugbuilder) - buildpacks: update heroku-buildpack-ruby to v150
- [`3f4ccc4`](https://github.com/drycc/slugbuilder/commit/3f4ccc4128114a3984203c8773090046f3393375) (slugbuilder) - buildpacks: update heroku-buildpack-python to v97
- [`c40c6a0`](https://github.com/drycc/slugbuilder/commit/c40c6a04b3c6a62b27ad739b9e7f25c23aa2380a) (slugbuilder) - buildpacks: update heroku-buildpack-php to v117
- [`2df92c0`](https://github.com/drycc/workflow/commit/2df92c0875ff2b12212f0320e29f724e53beae14) (workflow) roadmap: update product roadmap
- [`1d12348`](https://github.com/drycc/workflow/commit/1d12348ed0d96a1e090d5a8d15b07921665e2021) (workflow) vagrant: update kubernetes release tarball to v1.5.1(workflow)
- [`f50916b`](https://github.com/drycc/workflow-manager/commit/f50916b2f0d0a7a07854a15b6a8550b5672126a6) (workflow-manager) - Dockerfile: update drycc/base to v0.3.6
- [`7960130`](https://github.com/drycc/workflow-cli/commit/7960130d68000a1a77929c452645cdc1aeaf5e7b) (workflow-cli) glide: update controller sdk to 9520b6c
- [`ba0d452`](https://github.com/drycc/workflow-e2e/commit/ba0d452c455fb1622ef602e672fea8bfb8da8a25) (workflow-e2e) glide: run glide up to get latest packages (#347)
