## Workflow v2.13.0 -> v2.14.0

#### Releases

- controller v2.13.0 -> v2.14.0
- fluentd v2.8.0 -> v2.9.0
- monitor v2.8.1 -> v2.9.0
- redis v2.2.5 -> v2.2.6
- registry-proxy v1.1.1 -> v1.3.0
- router v2.12.0 -> v2.12.1
- slugbuilder v2.4.11 -> v2.4.12
- workflow v2.13.0 -> v2.14.0
- workflow-cli v2.13.0 -> v2.14.0
- workflow-e2e v2.10.0 -> v2.11.0

#### Features

- [`c515df3`](https://github.com/drycc/fluentd/commit/c515df308bc929e0366b6a2bd05813a506c1cdad) (fluentd) - chart: Extend values.yaml file
- [`af04466`](https://github.com/drycc/monitor/commit/af0446621a890bf279f0f96b8709a8b70ebd12eb) (monitor) - grafana: Allow users to set signup flag in chart
- [`a8c0fa7`](https://github.com/drycc/registry-proxy/commit/a8c0fa7f5db60dffa4b2fb8aa826466d6d8a2ce5) (registry-proxy) - Makefile: set docker build flags via environment variable
- [`292a3d4`](https://github.com/drycc/workflow/commit/292a3d4864c797812a24160c1d089c6fa40be060) (workflow) - ingress: document drycc-builder DNS records
- [`3750f53`](https://github.com/drycc/workflow-e2e/commit/3750f53aebc4a3eb6001dc967ece26cc7aa747ec) (workflow-e2e) - Makefile: add test target

#### Refactors

- [`08f4c69`](https://github.com/drycc/controller/commit/08f4c690d951f720b4152d8be1941296f430d3c1) (controller) - ci: remove travis, update build status (#1287)
- [`59cce25`](https://github.com/drycc/fluentd/commit/59cce25ada66ca7d549bdd8e5de9f7cd7952bbeb) (fluentd) - README: update link to drycc graphic
- [`6b7d85a`](https://github.com/drycc/fluentd/commit/6b7d85a42369cc23b21eb6422cad794c15627911) (fluentd) - makefile: Update makefile to work with new chart structure
- [`d59bedc`](https://github.com/drycc/fluentd/commit/d59bedc58884eb77070b848b32b43d01270e8092) (fluentd) - ci: remove _scripts; add badge
- [`0fcea4f`](https://github.com/drycc/monitor/commit/0fcea4f07aef369b1fdb88b5586ac8ec17f13066) (monitor) - _scripts: remove unused scripts
- [`511fa8c`](https://github.com/drycc/redis/commit/511fa8c6111096e406a4eb64ed20e943c5866084) (redis) - README: switch to wabs container
- [`5c7624c`](https://github.com/drycc/redis/commit/5c7624ceb4c02a841de6bf89e0e43d5b0c6c7480) (redis) - ci: remove travis; add badge
- [`cea7734`](https://github.com/drycc/router/commit/cea7734ebe2c7c7d6570497d9d2be5a453fc787c) (router) - ci: remove travis; add badge
- [`e8de27c`](https://github.com/drycc/slugbuilder/commit/e8de27cae818c9a45cc322a34f24ea74bee44a1d) (slugbuilder) - ci: remove travis; update badge
- [`bd0b1d9`](https://github.com/drycc/workflow/commit/bd0b1d955ae5c102ade03a141dab1351b7d79ed0) (workflow) - azure/boot: export AZURE_DNS_PREFIX and use $HOME
- [`8526e49`](https://github.com/drycc/workflow/commit/8526e49c903112c971636d7c88174f09aeea49ac) (workflow) - ci: rm travis and unused scripts (#803)
- [`008615a`](https://github.com/drycc/workflow-cli/commit/008615abe0a336be0d74f0185f0771938ee401fd) (workflow-cli) - Jenkinsfile: disable win agent
- [`50ec2a2`](https://github.com/drycc/workflow-e2e/commit/50ec2a2e60ea457740b3aa9ce4b762b02a005ae8) (workflow-e2e) - tests: update tests for new registration mode default

#### Fixes

- [`960e899`](https://github.com/drycc/controller/commit/960e89926e5021a6b62041dbe1fd6f8fce64bd8c) (controller) - ingress-test: Fixing make test-style
- [`a9674a3`](https://github.com/drycc/fluentd/commit/a9674a30904d85e4c85566644f5bb85d49e744d5) (fluentd) - charts: fix(charts) add quote around daemon_environment value
- [`73effea`](https://github.com/drycc/monitor/commit/73effead23c0fba26551b1e8e21597bbdb2296bf) (monitor) - telegraf/rootfs/start-telegraf: address shellcheck/style err
- [`76134f7`](https://github.com/drycc/redis/commit/76134f744bcdf1a4dc2d6dbaf80154b50f39eb7b) (redis) - rootfs/Dockerfile: force gunzip of copyright archive
- [`e559768`](https://github.com/drycc/router/commit/e5597683a18c0167ea044ba9d590edd46fc5ac43) (router) - charts: remove b64enc from dhparam
- [`05866f6`](https://github.com/drycc/workflow/commit/05866f620a6aed0ba548171cda1aa976ffc23121) (workflow) - hostname: Fixing hostname line
- [`140ded9`](https://github.com/drycc/workflow-e2e/commit/140ded9b62d926890892cac91c3518f790966f55) (workflow-e2e) - tests/auth: no interactive register for admin

#### Documentation

- [`32cd737`](https://github.com/drycc/controller/commit/32cd7379f711b1f7a09f9b7480de500573769e48) (controller) - api: update doc pointers for Django 1.11
- [`7d2c0ba`](https://github.com/drycc/controller/commit/7d2c0badf19af7e11c551e274944622d616ab942) (controller) - README: remove old testing prerequisites
- [`addf549`](https://github.com/drycc/workflow/commit/addf5496036ac7820222fb3ae2b80adf975eaffc) (workflow) - gke/boot: Add info on obtaining credentials
- [`29a86b0`](https://github.com/drycc/workflow/commit/29a86b0ba41ac1b2e09f64f8b1a47a303901ca9f) (workflow) - system-requirements: warn users away from broken k8s versions
- [`8c223b5`](https://github.com/drycc/workflow/commit/8c223b547638723691184a8b6f63a9b17fcc6fef) (workflow) - platform-logging: Add section on custom fluentd plugins
- [`218985f`](https://github.com/drycc/workflow/commit/218985f97a5b912df987dfec550b901ca21d186b) (workflow) - monitoring: Update docs to reflect monitor chart changes

#### Maintenance

- [`1f93f21`](https://github.com/drycc/controller/commit/1f93f21c4d80e51bae363d48a1a8325b6fa68720) (controller) - requirements: update Django to 1.11 LTS
- [`88846bf`](https://github.com/drycc/controller/commit/88846bfaa00d36314afee31ec42e38ee5de34e47) (controller) - requirements: update pytz to 2017.2
- [`99061ff`](https://github.com/drycc/controller/commit/99061ffb19a545132f61db596e63f069b7d9748a) (controller) - requirements: update django-guardian to v1.4.8
- [`49e741e`](https://github.com/drycc/controller/commit/49e741e61ddec46cdbebeb778a9df89fe143ec97) (controller) - ingress: Adding unit tests
- [`88bfcbd`](https://github.com/drycc/controller/commit/88bfcbd4c980b52fd43602bb4c9fd5c7e87ab656) (controller) - requirements: update pyOpenSSL to v17.0.0
- [`7a9c3e6`](https://github.com/drycc/controller/commit/7a9c3e60c06f3651946e512e2f0782b7f62687cd) (controller) - dev_requirements: update codecov to v2.0.9
- [`8ed937d`](https://github.com/drycc/controller/commit/8ed937dd5eeaecbc6a04d0549e7e02d8f28f670b) (controller) - requirements: update django-auth-ldap to v1.2.11
- [`51ac827`](https://github.com/drycc/controller/commit/51ac82707c7bb9968fc39e9d8c70f9c0abb01a68) (controller) - requirements: update backoff library to v1.4.2
- [`b8560e0`](https://github.com/drycc/router/commit/b8560e048c554792db4955186eb9048ecc626b9b) (router) - Dockerfile: update nginx to 1.11.13
- [`21aa475`](https://github.com/drycc/router/commit/21aa475bfbdc76f9b5acbfb7ed4b71e1673ec973) (router) - Dockerfile: update nginx to 1.12.0 stable
- [`2f7705c`](https://github.com/drycc/router/commit/2f7705c6dc647270b9416176f5fc8e62dba749ab) (router) - Dockerfile: update nginx to 1.13.0
- [`4a802e4`](https://github.com/drycc/slugbuilder/commit/4a802e4b8f52ee84b40a026224805690845257e7) (slugbuilder) - buildpacks: update heroku-buildpack-nodejs to v101
- [`fb567ac`](https://github.com/drycc/slugbuilder/commit/fb567ace7f646c53dcb3515700441324e7b37f3f) (slugbuilder) - buildpacks: update heroku-buildpack-go to v64
- [`3c14ac2`](https://github.com/drycc/slugbuilder/commit/3c14ac2ede6a8bf6ae611a1b75f872048a464443) (slugbuilder) - buildpacks: update heroku-buildpack-php to v121
- [`32de3c1`](https://github.com/drycc/slugbuilder/commit/32de3c1cc598801eda8cd8bc6365d9ac82a69ed9) (slugbuilder) - buildpacks: update heroku-buildpack-ruby to v159
- [`3e09799`](https://github.com/drycc/workflow-e2e/commit/3e097995a7b97e45d1d10e39926c01ce3cc43d69) (workflow-e2e) - README.md: update build status badge
