## Workflow v2.4.2 -> v2.5.0


### Builder v2.4.0 -> v2.5.0

#### Features

- [`f99a28e`](https://github.com/drycc/builder/commit/f99a28e6caeb8f84173a597c205c05790662c15c) slugbuilder-cache: Add CACHE_PATH variable
- [`05522a0`](https://github.com/drycc/builder/commit/05522a05a66420f1e0c0ad7a4e616f2a5dcd9470) source_version: add SOURCE_VERSION env var
- [`f2c28ef`](https://github.com/drycc/builder/commit/f2c28ef4bc398a8fadfc1402e8c59e8a550b93c6) slugbuilder-cache: allow turning caching off completely
- [`47432ea`](https://github.com/drycc/builder/commit/47432ead77eb5087ffe79d6da4035f31c854ad34) builder: delete cache if the cache is disabled (#422)

#### Refactors

- [`797243e`](https://github.com/drycc/builder/commit/797243e6ce9c942b8f50ca75127243038a8e9fb0) util_test: placate linter by replacing test PK

#### Fixes

- [`65a7de8`](https://github.com/drycc/builder/commit/65a7de8ec9c6528e31ed907224400d1d81d9c2d1) README.md: correct coverage badge URL
- [`c776995`](https://github.com/drycc/builder/commit/c776995ab487463691a2399870ea5d141de28c64) slugbuilder-cache: fix typo in comments (#417)

#### Documentation

- [`6b04ee5`](https://github.com/drycc/builder/commit/6b04ee5b1c28ef361afa68039b09cc637b07dc43) CONTRIBUTING: update contributing docs (#413)

#### Maintenance

- [`db92af5`](https://github.com/drycc/builder/commit/db92af5533ae2571d712003db5505e89f8e6d8a4) rootfs/Dockerfile: update to latest base image
- [`b916723`](https://github.com/drycc/builder/commit/b916723d3933568c1a2d11305b5312403b2bbd0e) Makefile: update to go-dev 0.17.0
- [`0e50147`](https://github.com/drycc/builder/commit/0e501478c4f0506ffbf9bdbf98f98563e5b19577) glide: update Controller SDK (#423)


### Controller v2.4.2 -> v2.5.2

#### Features

- [`cc0a4d5`](https://github.com/drycc/controller/commit/cc0a4d58704d97fbf379c8808685581d1f5b95a4) whitelist: Add support for IP whitelist
- [`50811a2`](https://github.com/drycc/controller/commit/50811a2d3c195265467aa0d4a87b2d1bdd6736c4) api: add drycc tls (#1004)
- [`689df78`](https://github.com/drycc/controller/commit/689df78084d669be214ac94d9573e61936215555) scheduler: add the ability to set KUBERNETES_POD_TERMINATION_GRACE_PERIOD_SECONDS per application (#1026)
- [`5c83d80`](https://github.com/drycc/controller/commit/5c83d80d3da7b5854e26498a8f0299381a7225d8) autoscale: add autoscaling support to application on per proc type basis (#1018)
- [`1db6146`](https://github.com/drycc/controller/commit/1db6146ade0b1883509dd0ab26e1b2fbf79b2023) scheduler: use /scale endpoints for RC and Deployments to only update replicas during scale events (#1029)

#### Refactors

- [`f7a3e02`](https://github.com/drycc/controller/commit/f7a3e02943854becf3d8eaff9e0bc16a6cbaf1c8) hooks: remove push hook model as the builder stopped using it (#985)
- [`4e0c5a3`](https://github.com/drycc/controller/commit/4e0c5a3526d5e5232eb1f4a6a9933c8c60927a56) scheduler: update_application_service had an unused name argument (#983)
- [`d155e92`](https://github.com/drycc/controller/commit/d155e9210974ebfb065c695c72c4341209f2b313) apps: move AppSettings scheduler logic to App model for simplicity (#993)
- [`d3d18d2`](https://github.com/drycc/controller/commit/d3d18d2f8916c88aac49c68e049fad2e6783e0f0) scheduler: use scheduler module session singleton to add session mock (#1009)
- [`7306202`](https://github.com/drycc/controller/commit/7306202c34d67218c9080f8545de660da32723ff) scheduler: split up the scheduler code into individual resources and to be modular (#1016)
- [`98d809a`](https://github.com/drycc/controller/commit/98d809a32680e027c3b90e2969613fa49dd8d442) scheduler: scheduler passes the kubernetes endpoint to resources instead of getting it from global settings (#1039)

#### Fixes

- [`d66c20c`](https://github.com/drycc/controller/commit/d66c20c3b85e1e1f554e4f78908f89a686249dff) whitelist: Handle empty whitelist from user gracefully
- [`dbde253`](https://github.com/drycc/controller/commit/dbde253e10b821a7805371008782f6d5111a25de) tls: Update the value properly to work with morph
- [`2f5c019`](https://github.com/drycc/controller/commit/2f5c019b4a3ee50ea93e1c3c67b63008cb7a8fee) api: create TLS object on app create (#1043)
- [`0d454ee`](https://github.com/drycc/controller/commit/0d454ee54a2926bb27925c6b294a47f0191a0d08) middleware: move to 1.10 style middleware (#955)
- [`899e008`](https://github.com/drycc/controller/commit/899e0085e7aad47353b6d5753fb17fde466864be) models: add "added" log function, lowercase class name (#1017)
- [`ffa9040`](https://github.com/drycc/controller/commit/ffa90402da6869f4aaec4df9863528aa10bf2a73) certs: allow empty Common Name in certificates (#1024)
- [`8408c1f`](https://github.com/drycc/controller/commit/8408c1f4a4083fc70df566afe4ed3fa6e506aade) healthcheck: update healthchecks for non default process type
- [`1ca970b`](https://github.com/drycc/controller/commit/1ca970beb61f122feca697ae6d607ed8be0b8598) app: create image pull secrets outside of the async deploy loop (#1032)
- [`7f16439`](https://github.com/drycc/controller/commit/7f16439932a2cb06428165ce9f441439f9bf6c56) imagepullpolicy: Use correct environment variable for image pull policy
- [`83df91e`](https://github.com/drycc/controller/commit/83df91e4fab77cf4eea2dddeb900069b60bb312e) logs: app logs endpoint was returning binary string instead of a normal string (#1035)
- [`3f3a228`](https://github.com/drycc/controller/commit/3f3a228cba46818769e7b0858daead5c3a759795) scheduler: pass down the right variable for Deployment revision history limit (#1037)
- [`ad7fc55`](https://github.com/drycc/controller/commit/ad7fc5578f13fd6e2b33c0633df12216c132de21) app: rollback all process types to previous version when one (or more) process type fails a deploy (#1027)
- [`a303f25`](https://github.com/drycc/controller/commit/a303f25d9a149c0d5dca42614613f731e7713447) release: change release cleanup to only remove secrets related to Deployments that are no longer active (#1038)
- [`ffc9f8c`](https://github.com/drycc/controller/commit/ffc9f8c36ae3ca04dea54b731d8b40c57ae7c7a9) healthcheck: check if the healthchecks are failing on a new deploy

#### Documentation

- [`757a8ae`](https://github.com/drycc/controller/commit/757a8ae441d5a599b1bfad7f625ba474067ff232) CONTRIBUTING: update contributing doc (#1006)

#### Maintenance

- [`af7fe18`](https://github.com/drycc/controller/commit/af7fe18d4f06a3032b4f61168cdcf4996e2a0bfc) requirements: update Requests to 2.11.1 (#990)
- [`5853532`](https://github.com/drycc/controller/commit/58535323b10182172821d00ec86f066bef29bca5) rootfs/Dockerfile: update to latest base image
- [`9ced97c`](https://github.com/drycc/controller/commit/9ced97ca1391099af9d5905f06d388e90326157e) requirements: Update DRF to 3.4.5 (#997)
- [`6afa4f2`](https://github.com/drycc/controller/commit/6afa4f20f228477823f6ee6e1c509e474bca3323) requirements: update DRF to 3.4.6 (#1007)
- [`a2b8428`](https://github.com/drycc/controller/commit/a2b8428581956beef91556eb59579dc690250b71) requirements: update PyOpenSSL to 16.1.0 (#1022)
- [`cfe2f1c`](https://github.com/drycc/controller/commit/cfe2f1cb18363280f359feb5737281a5ecb23d6e) requirements: update to Django 1.10.1 (#1040)


### Dockerbuilder v2.3.1 -> v2.3.2

#### Features

- [`4273b5c`](https://github.com/drycc/dockerbuilder/commit/4273b5c6bd7ff76dc659d02868ec3c698ba0a624) tests: feat(tests) Add flake8 linting for python code (#91)

#### Maintenance

- [`a67d22c`](https://github.com/drycc/dockerbuilder/commit/a67d22c07503341d6192f79931472d95b85c967c) Makefile: clean up and update makefile (#90)


### Logger v2.2.0 -> v2.3.0

#### Features

- [`d1ad7c1`](https://github.com/drycc/logger/commit/d1ad7c1edf16a74fe720c68797fde04dc14055bc) pprof: Add pprof endpoint

#### Documentation

- [`6596685`](https://github.com/drycc/logger/commit/6596685324c00991a16e17713e9c8bc5f240aefa) readme: Update readme with new architecture

#### Maintenance

- [`d869a2e`](https://github.com/drycc/logger/commit/d869a2e53229c6ffb744c35349182e0e07a1b7fe) rootfs/Dockerfile: update to latest base image
- [`c79bb98`](https://github.com/drycc/logger/commit/c79bb98b76e0c71bcd891c6df99308ce46eb2d7c) Makefile: update to go-dev 0.17.0


### Minio v2.2.0 -> v2.2.1

#### Fixes

- [`22debea`](https://github.com/drycc/minio/commit/22debea9967565d4d366bfc1b9ccb22dbd4c6942) .travis.yml: unset DRYCC_REGISTRY before building image

#### Maintenance

- [`4e55f42`](https://github.com/drycc/minio/commit/4e55f4270ed1612d17f568bb1b341b3b7cfe678e) Makefile: update to go-dev 0.17.0
- [`a686c8a`](https://github.com/drycc/minio/commit/a686c8a3361ed9c6f4c3ab8236ba1dc1a651f35b) rootfs/Dockerfile: update to latest base image
- [`4a5315c`](https://github.com/drycc/minio/commit/4a5315c5d0934c2fa34c541483334a54995f6e99) glide: update glide files


### Monitoring v2.3.0 -> v2.4.0

#### Refactors

- [`1dfc015`](https://github.com/drycc/monitor/commit/1dfc015c8e45a5ca50aacb69c5082b4d45debfe3) drycc component health: Refactored drycc components health dashboards

#### Maintenance

- [`254249a`](https://github.com/drycc/monitor/commit/254249ac3b1398747408d15e18b3f20f4f04faef) Dockerfile: update to latest base image


### Registry v2.2.0 -> v2.2.1

#### Maintenance

- [`412b4e2`](https://github.com/drycc/registry/commit/412b4e274101995f7f9f2fa9af4531620396ac21) Makefile: update to go-dev 0.17.0
- [`4b14708`](https://github.com/drycc/registry/commit/4b147080adfe14f1b779bf2bf0e0eee6d1abfda1) .travis.yml: use current Go 1.7 compiler
- [`10d8308`](https://github.com/drycc/registry/commit/10d8308dccd869794608bab9fd542e57c14ff1d2) rootfs/Dockerfile: update to latest base image


### Router v2.4.0 -> v2.5.0

#### Features

- [`bd25b82`](https://github.com/drycc/router/commit/bd25b8289ea95a64b9ac38f69ec3e0763f9cc2a0) router: add app SSL config

#### Refactors

- [`a7da253`](https://github.com/drycc/router/commit/a7da253486b7511a83235fedb44bfa057fd2867a) fix new linter errors
- [`ef9a5bf`](https://github.com/drycc/router/commit/ef9a5bf7b5e518f6ab01f39db6333ee16e7dc65e) Dockerfile: copy the router binary after building ngnix binary

#### Maintenance

- [`ea7fffc`](https://github.com/drycc/router/commit/ea7fffc54e3a4fba06d64e298827907e315e9a5e) Makefile: update to go-dev 0.17.0
- [`8c3aded`](https://github.com/drycc/router/commit/8c3adedbabe8ec077db8bcd0d183152457e1eb33) rootfs/Dockerfile: update to latest base image


### Slugbuilder v2.3.1 -> v2.4.1

#### Features

- [`4d634a3`](https://github.com/drycc/slugbuilder/commit/4d634a366500e8521e1c4b17231a1af9905c7479) Makefile: add --pull flag to docker-build
- [`b6a2f12`](https://github.com/drycc/slugbuilder/commit/b6a2f12f71c755b6e02e2134485067df3fbcef45) cache: allow cache to be persisted

#### Fixes

- [`37c5109`](https://github.com/drycc/slugbuilder/commit/37c5109557a3005e3f0afd5f224781c609a8f6b4) build.sh: switch to build_root before running hooks
- [`dcad3f0`](https://github.com/drycc/slugbuilder/commit/dcad3f0e3a6e3bddde4f1af5f9d3b421a9fba7a9) build: check if release yaml is nil before accessing hash (#105)

#### Documentation

- [`116da05`](https://github.com/drycc/slugbuilder/commit/116da0537ed12b3b7f802a8bc92087ae767a1e59) readme: fix formatting in readme
- [`d05c3e4`](https://github.com/drycc/slugbuilder/commit/d05c3e42a5f6c045ef08ef8ae6f62e10aa9d209d) build.sh: simplify and formalize cache message
- [`49fecd9`](https://github.com/drycc/slugbuilder/commit/49fecd96abca9ce1e0cd5427b50c182c9d572ec4) CONTRIBUTING: update contributing doc (#107)

#### Maintenance

- [`c6f948a`](https://github.com/drycc/slugbuilder/commit/c6f948a6e892f82f32e85b0f53ad7dfb8ecad929) buildpacks: update heroku-buildpack-go to v46


### Slugrunner v2.2.0 -> v2.2.1

#### Refactors

- [`6b0c90d`](https://github.com/drycc/slugrunner/commit/6b0c90df8593dc903c42a59faa20f83287d507a3) init: remove sdutil, which is no longer used (#51)

#### Fixes

- [`166bddd`](https://github.com/drycc/slugrunner/commit/166bddd90fdf08501db5191baa6074f43a9de65e) init: check for valid YAML before accessing hash (#50)
- [`2d86e6c`](https://github.com/drycc/slugrunner/commit/2d86e6ccb98e0db60dc123ebcf3c50f2c180447b) Makefile: ensure to use "latest" build of cedar:14

#### Documentation

- [`d87b04e`](https://github.com/drycc/slugrunner/commit/d87b04e4c3762230979b23d76d279cdb1928003f) CONTRIBUTING: update contributing doc (#53)


### Workflow CLI v2.4.0 -> v2.5.1

#### Features

- [`78118eb`](https://github.com/drycc/workflow-cli/commit/78118ebf1076609511cf7e6b1037c6ed8fbae847) CI: refactor CI to build and then pass around a test image (#181)
- [`aded419`](https://github.com/drycc/workflow-cli/commit/aded419ac57ab03f833fd74551b422b87efb7d57) CI: upload CLI to seperate buckets (#190)
- [`3cb4ad3`](https://github.com/drycc/workflow-cli/commit/3cb4ad3f5a768f17301e61381e36c05df3a697d2) whitelist: Add support for ip whitlising for app
- [`ec466d7`](https://github.com/drycc/workflow-cli/commit/ec466d7ab27cf4640feafb39de6f979964d328bf) autoscale: add the ability to define autoscale rules per process type on an app (#208)
- [`84de668`](https://github.com/drycc/workflow-cli/commit/84de6687e797b0fb54e4838d42255f19abbabe5f) cmd: add `drycc tls`
- [`eefb125`](https://github.com/drycc/workflow-cli/commit/eefb125151128e6122f94d2ee09c7b81db88d392) Makefile: build using dockefile and slim image size (#215)
- [`a4dea17`](https://github.com/drycc/workflow-cli/commit/a4dea1734cb63b1a65992e2d6b9ce300d13c6f2f) Makefile: add build-stable target
- [`618939c`](https://github.com/drycc/workflow-cli/commit/618939c99273edc8ccfe97e60ac5ae9c959975eb) users: show admins when listing users (#205)
- [`01ca8f8`](https://github.com/drycc/workflow-cli/commit/01ca8f8ba16f0eebb9a5bd42bad8115c8b6a4272) version: add drycc version --all (#217)

#### Refactors

- [`912ad85`](https://github.com/drycc/workflow-cli/commit/912ad8521c6dbbca57483749fbd55f74f30afc5b) Jenkinsfile: remove shell output hack

#### Fixes

- [`8653f92`](https://github.com/drycc/workflow-cli/commit/8653f929475eee798aacb88da31612bd1a67a57f) whitelist: format the drycc whitelist properly
- [`82b6368`](https://github.com/drycc/workflow-cli/commit/82b63684db9be3a3fcaae58d8c35285098d5e108) settings: remove duplicated 'v' in user agent (#188)
- [`d5a004c`](https://github.com/drycc/workflow-cli/commit/d5a004cedb4123ec5ee2f77e84520c73233d0189) tests: start adding unit tests (#183)
- [`272b1cd`](https://github.com/drycc/workflow-cli/commit/272b1cd91ea4020baf8c00c4cf6f9603e7d9f8c0) routing, maintenance: check for existence of pointer before reading it. (#195)
- [`db38964`](https://github.com/drycc/workflow-cli/commit/db389646b76bef387898579a99f5c0d9d1f058c8) git: properly log errors from git (#199)
- [`09ca839`](https://github.com/drycc/workflow-cli/commit/09ca8391d64e29d9adf65219cdd5375c06c96505) CI: don't upload to old bucket and declare varaibles locally (#211)
- [`f9d85a0`](https://github.com/drycc/workflow-cli/commit/f9d85a0ac77c6c32d50dae664fe7bc80bc8fca1b) ps: use new sdk for sorted processes (#210)
- [`d49acf0`](https://github.com/drycc/workflow-cli/commit/d49acf04d6b366f2fd882a1dd410ca21860b2e12) CI: define more variables locally (#212)
- [`9b3980a`](https://github.com/drycc/workflow-cli/commit/9b3980a4f2790a71a572a6d6a50bde90d3ac10a3) limits: remove short cpu flag (#216)
- [`e10caf6`](https://github.com/drycc/workflow-cli/commit/e10caf6f2a8decfccf98ce4f809ba421e6988c2b) cmd: fix help string when git remote already exists

#### Documentation

- [`260d826`](https://github.com/drycc/workflow-cli/commit/260d82694e8e851b53d02a4f7dd27b60e9381268) CONTRIBUTING: link contributing documentation to website (#185)

#### Maintenance

- [`850ee9c`](https://github.com/drycc/workflow-cli/commit/850ee9c346e803f354d42920cf941ab6fce662a9) glide: update Controller SDK (#220)


### Workflow Documentation v2.4.1 -> v2.5.0

#### Features

- [`2e92c77`](https://github.com/drycc/workflow/commit/2e92c778c32945d28f0a86d669af0153d72a8d08) contributing: add more details to issue reporting (#472)
- [`a27f00f`](https://github.com/drycc/workflow/commit/a27f00fce8bb40b275b0dd2ee49101837d8a3049) whitelist: Add docs for specifying application whitelist using drycc client
- [`b8b3eed`](https://github.com/drycc/workflow/commit/b8b3eed07537800a2feaf01b3328d885b86111ee) autoscale: add documentation for the autoscale functionality (#483)

#### Fixes

- [`e066502`](https://github.com/drycc/workflow/commit/e06650201eef71e2e5e490fdc2f5a827126742ce) quickstart: remove references to downgrade
- [`6f2639a`](https://github.com/drycc/workflow/commit/6f2639ad56c5dbb8f187b2c210fa44ce8a5a6e6a) quickstart: specify how to get hostname (#469)
- [`219179f`](https://github.com/drycc/workflow/commit/219179f02263afd34fcad6efba5c7b071a74b04c) managing-workflow: fix broken link
- [`0a1c57d`](https://github.com/drycc/workflow/commit/0a1c57d9fa875ab0b80beb6c580ab8d3ecf1ea7d) apps: KUBERNETES_POD_TERMINATION_GRACE_PERIOD_SECONDS is now also per app (#486)

#### Documentation

- [`d7db3d4`](https://github.com/drycc/workflow/commit/d7db3d402016af534ffa4967cc7c681ebe950cf0) triaging-issues: describe new priority labels
- [`2c753c2`](https://github.com/drycc/workflow/commit/2c753c27dbb64f480d00a693caddb28229f1ad54) using-docker-images: use example-dockerfile-http as sample dockerfile application instead of helloworld. (#482)
- [`6c1f4fd`](https://github.com/drycc/workflow/commit/6c1f4fdeeace0d290e82666b676d8ca88e316fee) ssl-certificates: add docs on drycc tls:enable
- [`5e055f0`](https://github.com/drycc/workflow/commit/5e055f07e8444daa63f1ebf241c73ad8af29c2db) fix: add --namespace=drycc to Controlling Registration Modes
- [`c112a46`](https://github.com/drycc/workflow/commit/c112a4643c5133625d6fec292e51a57142548996) update: using-docker-images.md
- [`5f46769`](https://github.com/drycc/workflow/commit/5f467693e07c2cd3b0fff15f9286e3e50318446c) src/roadmap/releases.md: add step for releasing cli stable
- [`1e79b46`](https://github.com/drycc/workflow/commit/1e79b461d32f021cefd1b24caf742f8e699dc1bd) upgrading-workflow.md: remove errant/redundant command
- [`b721180`](https://github.com/drycc/workflow/commit/b721180f40a736c2a76f516e85c89eedad2be7e2) styles: docs(styles) sticky footer to avoid overlap with sidebar
- [`c54c2ec`](https://github.com/drycc/workflow/commit/c54c2ec8a4e52a8b62aa9f8b87dbee425f177682) styles: docs(styles) fix mobile menu scroll issues

#### Maintenance

- [`bd306d4`](https://github.com/drycc/workflow/commit/bd306d457549a465399a476ec1ae25d472093c8e) release: Workflow 2.4.1 (#463)
- [`4afda70`](https://github.com/drycc/workflow/commit/4afda702f435cd4a4b308a7001d02c3f734f5ac6) release: Workflow 2.4.2
- [`4694454`](https://github.com/drycc/workflow/commit/469445425d16f0a498e0d613d39b278c54014372) changelogs: add top-level for changelogs
- [`f383c43`](https://github.com/drycc/workflow/commit/f383c432d4abfe16aecaaec2d020b58bb4ef8241) changelogs: add v2.0.0 changelog
- [`176d080`](https://github.com/drycc/workflow/commit/176d0807002957566365633ebf6964ead131a8fb) changelog: add v2.1.0 changelog
- [`9ab4ba8`](https://github.com/drycc/workflow/commit/9ab4ba81d59de17d6524885f01484d8adb9de647) changelog: add v2.2.0 changelog
- [`ebac67f`](https://github.com/drycc/workflow/commit/ebac67feb134b86634f327e23dee04c0baa81b12) changelog: add v2.3.0 changelog
- [`1da032d`](https://github.com/drycc/workflow/commit/1da032d6ed99484b8fb0a2e73295e118db017c70) changelog: add v2.4.0 changelog
- [`db9bb8d`](https://github.com/drycc/workflow/commit/db9bb8deb01bc3b6b945703a08f99183f7a7c01d) changelog: add v2.4.2 changelog
- [`0d43482`](https://github.com/drycc/workflow/commit/0d434820458c8d6f2ca75da0e18170b755d2128c) changelog: add headings for clarity
- [`d18dec4`](https://github.com/drycc/workflow/commit/d18dec47556f9d00e00972319ef7ab8a2738d408) changelog: update release process for new changelog page
- [`a2d58aa`](https://github.com/drycc/workflow/commit/a2d58aa89fc25e02ee20ac6f6f89e09c08bb5463) changelogs: add v2.4.1 changelog
- [`bd4db54`](https://github.com/drycc/workflow/commit/bd4db54186e61e2a4a743cbd78989329fe9ded1b) api-docs: add v2.3 API docs (#485)


### Workflow E2E Tests v2.4.0 -> v2.5.2

#### Features

- [`a2ed8b2`](https://github.com/drycc/workflow-e2e/commit/a2ed8b2237880e4be7a10942dc2f796bce297c4b) docker: add DEBUG option to hang build (#312)
- [`30c8fd3`](https://github.com/drycc/workflow-e2e/commit/30c8fd343c480b266542ab602cebe04401f4030d) procfile: unskip builds procfile test
- [`95f4eb9`](https://github.com/drycc/workflow-e2e/commit/95f4eb9cb630e1d2d0b149c08655e21b7fbf136f) docker-test-integration.sh: try curling cli from multiple buckets
- [`9c294e3`](https://github.com/drycc/workflow-e2e/commit/9c294e3fb3635c86a7444f9c026eeda3810c6f5d) maintenance: Add test for maintenance mode
- [`013709e`](https://github.com/drycc/workflow-e2e/commit/013709e7f2e08728bee9dc97209d12f41098c776) whitelist: Add tests for drycc whitelist
- [`5bc8cb0`](https://github.com/drycc/workflow-e2e/commit/5bc8cb0f487bc09887e50da7ee2409e22debd134) tests: add drycc tls tests (#316)
- [`0f2df78`](https://github.com/drycc/workflow-e2e/commit/0f2df7835cce1bda9bf863d5a0d70b2b5f967545) docker-test-integration.sh: check if 'stable'

#### Refactors

- [`2da83d9`](https://github.com/drycc/workflow-e2e/commit/2da83d98c31f991ae7b8bf6b548104f7af3cb19b) Dockerfile: don't use alpine, it has known DNS issues (#313)

#### Fixes

- [`8a2d858`](https://github.com/drycc/workflow-e2e/commit/8a2d858b74a779d3543786d519cccb96cffdc80a) healthcheck: use correct port the image exposes

#### Maintenance

- [`424f625`](https://github.com/drycc/workflow-e2e/commit/424f6256b28a872e1f633ff5041348576d972aed) Makefile: update docker-go-dev to 0.17.0
- [`88ad38f`](https://github.com/drycc/workflow-e2e/commit/88ad38f1fd6718b325824e1cc5a30ebaae05e3f3) glide.lock: update ginkgo, gomega, controller-sdk-go


### Workflow Manager v2.4.0 -> v2.4.1

#### Documentation

- [`25f5b32`](https://github.com/drycc/workflow-manager/commit/25f5b3279f1df73e2010261509f16b85c7fc6017) README.md: add codecov.io badge

#### Maintenance

- [`940ced5`](https://github.com/drycc/workflow-manager/commit/940ced5216ab300d9c62e5c2d0aa6d3a7086b172) Makefile: update to go-dev 0.17.0
- [`d9b0326`](https://github.com/drycc/workflow-manager/commit/d9b03265826bda8ed4b42aba1528f963f8cd20c8) rootfs/Dockerfile: update to latest base image
