## Workflow v2.5.0 -> v2.6.0


### Builder v2.5.0 -> v2.5.1

#### Fixes

- [`392ef7d`](https://github.com/drycc/builder/commit/392ef7dd5c9def3e63605fac24a824ad072d08f0) Makefile: update deploy target to use deployments (#424)
- [`933c124`](https://github.com/drycc/builder/commit/933c1247161bab9c41d0894bff01acf87bfe8c98) conf: strip newlines from builder key (#425)

#### Maintenance

- [`b1a0ef6`](https://github.com/drycc/builder/commit/b1a0ef674660cbe27e66f4884e0463b50f98d5c4) Dockerfile: update base image to v0.3.4
- [`ac829c0`](https://github.com/drycc/builder/commit/ac829c02864eb1e922f8b473ea72c9aefabece82) Dockerfile: cleanup after installation a bit more than before and keep copyright / license files (#434)


### Controller v2.5.2 -> v2.6.0

#### Features

- [`f5d1454`](https://github.com/drycc/controller/commit/f5d14548472b074ee0641e550a3cf92a194f353a) api: inject release metadata into application (#1080)

#### Refactors

- [`13de6e6`](https://github.com/drycc/controller/commit/13de6e6ceb5bf853cdc8f36a971284336ee8feef) Dockerfile: ditch the pip cache for a slightly smaller image (#1051)
- [`3e1f9d6`](https://github.com/drycc/controller/commit/3e1f9d67bac0767718a46a226a92ac2024cbec0e) scheduler: add HTTP functions in KubeHTTPClient (#1019)
- [`8d287b9`](https://github.com/drycc/controller/commit/8d287b94fd0a475c75041906a20b9430f8da7c5b) scheduler: move image pull policy settings from scheduler to App model and remove SLUG_RUNNER_IMAGE_PULL_POLICY (#1053)
- [`02718a3`](https://github.com/drycc/controller/commit/02718a303891db4a6fb75d1789a2353e4f08afb5) app: centralise all application configuration handling in App model to be used by run, deploy and scale (#1061)
- [`22f96eb`](https://github.com/drycc/controller/commit/22f96ebfbfc9aa623a1505b179311ed3fe0442d5) scheduler: add more Pod tests in scheduler and add create() to Pod resource (#1079)
- [`13c1711`](https://github.com/drycc/controller/commit/13c1711f8843c8633d93abccdabc727093e1f89e) Dockerfile: use base 0.3.2, smaller packages and better cleanup (#1088)

#### Fixes

- [`4f5f944`](https://github.com/drycc/controller/commit/4f5f944a4ce1639f82ae276372f28fd9fb2c9bd6) views: make sure domain is set it in cert attach operation (#1046)
- [`29d51d9`](https://github.com/drycc/controller/commit/29d51d99c4ed4eb47cfd7a9cd1900c670dd6ffa8) scheduler: show more information when there is a HTTP error in Kubernetes (#1041)
- [`3d3676b`](https://github.com/drycc/controller/commit/3d3676bf3a8a3bde97e8c5581dc2b4c2e16eace5) release: call proper RC scale instead of a missing (old) method (#1055)
- [`60c6a5f`](https://github.com/drycc/controller/commit/60c6a5ffe1c37e523fe48959a06d310aa3164c08) procfile: route the traffic to web proctype always if its present in procfile
- [`d7e626c`](https://github.com/drycc/controller/commit/d7e626cb2857c66817085b56e5743642fe645eb2) whitelist: remove the whitelist from annoations if its empty
- [`b8aa206`](https://github.com/drycc/controller/commit/b8aa206880033443364f8198f6d9c583c7c4b8e1) api: check if release.build is NoneType (#1078)
- [`ad182b2`](https://github.com/drycc/controller/commit/ad182b24d00f1fa5ee212dfa27a2157acac27524) api: cast DEPLOY_BATCHES and DEPLOY_TIMEOUT to int (#1076)
- [`7aaee55`](https://github.com/drycc/controller/commit/7aaee55caf9dc4cf867f8588dafb586968df00fc) Makefile: remove double usage of --noinput (#1083)

#### Maintenance

- [`667ba1f`](https://github.com/drycc/controller/commit/667ba1fb8ef160213a29c340eab2c4294995d480) requirements: update django-guardian to 1.4.6 (#1050)
- [`640d220`](https://github.com/drycc/controller/commit/640d2200168191555893ac6710bb41b6956b2874) requirements: chore(requirements) Update to docker-py 1.10.2 (#1056)
- [`8559fb0`](https://github.com/drycc/controller/commit/8559fb07108479f207450667af6f5e05390fc0c5) tests: port app logs test from drycc/drycc#5005 (#1064)
- [`06c7695`](https://github.com/drycc/controller/commit/06c7695f72cb301e41d742db6ee222890927b498) scheduler: move log lines to before a raise so DEBUG info is actually caught (#1067)
- [`aaccdf7`](https://github.com/drycc/controller/commit/aaccdf7a261e5b64202dfadfdd2b3d451aa322b6) tests: improve test coverage for HPA (#1081)
- [`4d7591c`](https://github.com/drycc/controller/commit/4d7591c8073031db0876fb0ff4a27d0b76540e28) requirements: update docker-py to 1.10.3 (#1086)
- [`e9a9e7a`](https://github.com/drycc/controller/commit/e9a9e7a9421a08f6171575e3d2f56f0e25eaf6cc) tests: improve Pod scheduler tests (#1085)
- [`260b1e4`](https://github.com/drycc/controller/commit/260b1e47f85b1a97d0afa492b87f03ab3dbf39dc) requirements: update DRF to 3.4.7 (#1087)


### Dockerbuilder v2.3.2 -> v2.3.3

#### Maintenance

- [`1bd4727`](https://github.com/drycc/dockerbuilder/commit/1bd47277008bcaaf9c3ac64c48ebc29d36d2db9f) requirements: chore(requirements) Update to docker-py 1.10.2
- [`28c31d4`](https://github.com/drycc/dockerbuilder/commit/28c31d45a17a97473e83c451b0d2e743678620c0) requirements: update docker-py to 1.10.3 (#94)
- [`f013504`](https://github.com/drycc/dockerbuilder/commit/f0135046b32e707ab414ab428beae4c7ec276af4) Dockerfile: update base image to v0.3.4
- [`070d5cb`](https://github.com/drycc/dockerbuilder/commit/070d5cbbe2540cf5348c45437980ee6348e9f69c) Dockerfile: cleanup after installation a bit more than before and keep copyright / license files (#96)


### Fluentd v2.2.0 -> v2.4.1

#### Features

- [`900a31b`](https://github.com/drycc/fluentd/commit/900a31b9a5423d0413fd2ae0c49f678810c17471) Dockerfile: upgrade fluentd and pin versions
- [`1529614`](https://github.com/drycc/fluentd/commit/15296143a24daa08f5b4521e676add13d3be74f2) config: Allows for building custom plugins
- [`c9a3d8f`](https://github.com/drycc/fluentd/commit/c9a3d8f7ee61b232a374abdd5df2615737e35161) Allow configuring custom plugins/stores/filters for fluentd

#### Fixes

- [`eeda904`](https://github.com/drycc/fluentd/commit/eeda904095f4e2acef1d078a331950b9d3672ce1) conf: Remove time_format from sources
- [`d5b8580`](https://github.com/drycc/fluentd/commit/d5b85800f60ed3d040f1d21f9b5c4cff80c3d567) sources: allow users to specify what logs they want to capture
- [`56f4d67`](https://github.com/drycc/fluentd/commit/56f4d670c859a4a8b2c883db0c3d53ea2bd9897f) boot: fix missing container symlinks
- [`eeda904`](https://github.com/drycc/fluentd/commit/eeda904095f4e2acef1d078a331950b9d3672ce1) conf: Remove time_format from sources
- [`d5b8580`](https://github.com/drycc/fluentd/commit/d5b85800f60ed3d040f1d21f9b5c4cff80c3d567) sources: allow users to specify what logs they want to capture
- [`56f4d67`](https://github.com/drycc/fluentd/commit/56f4d670c859a4a8b2c883db0c3d53ea2bd9897f) boot: fix missing container symlinks

#### Maintenance

- [`bf242e2`](https://github.com/drycc/fluentd/commit/bf242e209ec9b74d3ed14c414e965a53658a447d) drycc: Allow users to disable the drycc output plugin
- [`30911be`](https://github.com/drycc/fluentd/commit/30911be8eed235bf0cf77e7715877b679cae8ebd) Dockerfile: update base image to v0.3.4
- [`36f90ae`](https://github.com/drycc/fluentd/commit/36f90ae2cfea338d9603c85e3c537fa3238f43df) Dockerfile: cleanup after installation a bit more than before and keep copyright / license files (#54)
- [`bf242e2`](https://github.com/drycc/fluentd/commit/bf242e209ec9b74d3ed14c414e965a53658a447d) drycc: Allow users to disable the drycc output plugin

#### Documentation

- [`49d8d29`](https://github.com/drycc/fluentd/commit/49d8d29a7657d71bfa5d1f30f9d55bb43f0fc478) Document custom plugin environment variables.


### Logger v2.3.0 -> v2.3.1

#### Fixes

- [`9bd19a3`](https://github.com/drycc/logger/commit/9bd19a3eb52117efbfc17ee46acefb5ee1f6ca07) weblog: fix up CPU issues

#### Documentation

- [`9eb022d`](https://github.com/drycc/logger/commit/9eb022dae0296f953c1b7b74997cfe5b7de40624) README: docs(README) update docs

#### Maintenance

- [`6a865ee`](https://github.com/drycc/logger/commit/6a865eea6c847bd3af8632e9a0cbf4da3e545a8a) Dockerfile: update base image to v0.3.4


### Minio v2.2.1 -> v2.3.0

#### Features

- [`430d6d2`](https://github.com/drycc/minio/commit/430d6d278f3bfaaac33d68811dc6a07e307f0e80) pkg: update the pkg to latest and get ip using downward api

#### Maintenance

- [`ac80262`](https://github.com/drycc/minio/commit/ac8026299344ac98db31119382669fdf44baa6bb) Dockerfile: update base image to v0.3.4


### Monitoring v2.4.0 -> v2.5.1

#### Features

- [`ab1d467`](https://github.com/drycc/monitor/commit/ab1d4675e1f7ceba17f6943fa2f95ab11a28a975) influxdb: upgrade influxdb and telegraph to 1.0

#### Maintenance

- [`1a10082`](https://github.com/drycc/monitor/commit/1a1008284829d1adb7f3b2957df2dc1ea95a3162) telegraf,grafana,influx: Update to 0.3.4 base
- [`d596b08`](https://github.com/drycc/monitor/commit/d596b08506cc4271b8507e15af362f232ba344e6) Dockerfile: cleanup after installation a bit more than before and keep copyright / license files (#144)
- [`3aea2a7`](https://github.com/drycc/monitor/commit/3aea2a7754322a58e3457c0d554bf4b3c3e2ca1e) config: Remove calls to quote


### NSQ v2.2.0 -> v2.2.2

#### Fixes

- [`8e1e208`](https://github.com/drycc/nsq/commit/8e1e20887a5d614cd622f510b39c517cd5fffb76) Adding set -eo pipefail to start up script

#### Maintenance

- [`ef2bb5d`](https://github.com/drycc/nsq/commit/ef2bb5dd54c89329aa9d2dd9394bd2d8ffffbed7) Dockerfile: update base image to v0.3.4


### Redis v2.2.0 -> v2.2.2

#### Fixes

- [`3659efb`](https://github.com/drycc/redis/commit/3659efb0955fecf45f1f19172b07faa3062da361) Dockerfile: missing && in Dockerfile makes apt not so happy (#5)

#### Refactors

- [`7e62f08`](https://github.com/drycc/redis/commit/7e62f0863ea0889a1afa92488fad0d39043da764) Makefile: remove obsolete "docker tag -f" flag

#### Maintenance

- [`545c46b`](https://github.com/drycc/redis/commit/545c46bd545f4e1ebc4504c87eada1e0707bfaa1) Dockerfile: update base image to v0.3.4
- [`21c376d`](https://github.com/drycc/redis/commit/21c376dda137d219e8e9842150021cd75ebeb0f8) Dockerfile: cleanup after installation a bit more than before and keep copyright / license files (#4)


### Registry v2.2.1 -> v2.2.2

#### Maintenance

- [`c9150b9`](https://github.com/drycc/registry/commit/c9150b9ae338b63ab5d4cb2455286b80cebec551) Dockerfile: update base image to v0.3.4
- [`32a7400`](https://github.com/drycc/registry/commit/32a740033fd6ff5a96179607c9b4a68c88c3bbdd) Dockerfile: cleanup after installation a bit more than before and keep copyright / license files (#67)


### Registry Proxy v1.0.0 -> v1.1.0

#### Fixes

- [`5f69fe0`](https://github.com/drycc/registry-proxy/commit/5f69fe069945abf79c2566728a103b994382658d) nginx: set worker_processes to auto

#### Maintenance

- [`89687b0`](https://github.com/drycc/registry-proxy/commit/89687b02a3883e877b1b3288ebfd5a43c01e7305) rootfs: bump version to v1.1.0-dev
- [`70a8a8b`](https://github.com/drycc/registry-proxy/commit/70a8a8ba5127b6373ed6b4cf33ea78dfafa5f79c) rootfs: bump version to v1.1.0


### Router v2.5.0 -> v2.6.2

#### Features

- [`151916e`](https://github.com/drycc/router/commit/151916ee562507c7c9c7b2e566ad6c60141e1bd0) nginx: Allow sending nginx X-Request-Id and X-Correlation-Id headers.

#### Refactors

- [`b33c18c`](https://github.com/drycc/router/commit/b33c18c768a6adebc0a41a5444852391d2bf4407) glide: use the official kubernetes client (#259)

#### Fixes

- [`a729799`](https://github.com/drycc/router/commit/a72979956e4f324837203d8d34102a5fe4e407d5) nginx: Enable builder PROXY PROTOCOL support
- [`0d9b119`](https://github.com/drycc/router/commit/0d9b11928b6619d1eb376eaf1fd0714ef2da9e7a) ngnix: handle X-Forwarded-Port and X-Forwarded-Proto properly

#### Documentation

- [`b20eba0`](https://github.com/drycc/router/commit/b20eba00c2f7bb1ef9de6b3065e446f22aaaa223) README: Correct errant references to RC in annotations table

#### Maintenance

- [`4afbcc6`](https://github.com/drycc/router/commit/4afbcc6f243a413aa040eef5be9a7201fd603351) Dockerfile: update base image to v0.3.4
- [`5a6b004`](https://github.com/drycc/router/commit/5a6b004e6b3ee1ed1f0408117f79f95bba426372) Dockerfile: cleanup after installation a bit more than before and keep copyright / license files (#262)
- [`e38a69b`](https://github.com/drycc/router/commit/e38a69b72a873d87b3c46e98201f1f1caa71adbd) nginx: update nginx to 1.11.4 (#252)
- [`246bdc5`](https://github.com/drycc/router/commit/246bdc5b4f785da5da49139922d1455200c21e73) Dockerfile: bump drycc/base to v0.3.2


### Slugbuilder v2.4.1 -> v2.4.3

#### Refactors

- [`24e0ce9`](https://github.com/drycc/slugbuilder/commit/24e0ce984dbfd27f7ccbcac8fcac9af53222cf16) Dockerfile: simplify chown commands

#### Fixes

- [`37c5109`](https://github.com/drycc/slugbuilder/commit/37c5109557a3005e3f0afd5f224781c609a8f6b4) build.sh: switch to build_root before running hooks

#### Maintenance

- [`2a7769d`](https://github.com/drycc/slugbuilder/commit/2a7769d328ffd9ceb2ca13288f8608fdf2f7562b) Dockerfile: cleanup after installation a bit more than before and keep copyright / license files (#113)
- [`0ff387f`](https://github.com/drycc/slugbuilder/commit/0ff387fe24cfafc4100db9cca666ac00fd30d0d8) buildpacks: update heroku-buildpack-go to v48
- [`4eada8d`](https://github.com/drycc/slugbuilder/commit/4eada8d5a9ce385e5418898537dca85390eda55a) buildpacks: update heroku-buildpack-php to v110
- [`fcb645b`](https://github.com/drycc/slugbuilder/commit/fcb645b6d09f8ec5ab95877d26c8ca215dc9a095) buildpacks: update heroku-buildpack-python to v82
- [`69abae5`](https://github.com/drycc/slugbuilder/commit/69abae5c6f560ff2ec7baf8d2d4be4cdf15393e5) buildpacks: update heroku-buildpack-gradle to v18
- [`d6445a6`](https://github.com/drycc/slugbuilder/commit/d6445a62331fc0d7d518123de361c54d72f8f4d4) buildpacks: update heroku-buildpack-java to v46
- [`30ce52f`](https://github.com/drycc/slugbuilder/commit/30ce52fc93ab25d537958d9524c0e0f880f9f78b) buildpacks: update heroku-buildpack-go to v49
- [`7e4e9cc`](https://github.com/drycc/slugbuilder/commit/7e4e9ccec99bd5b8bf19e608494093e7dfab16d0) buildpacks: update heroku-buildpack-php to v112


### Slugbuilder v2.2.1 -> v2.2.2

#### Maintenance

- [`098d05a`](https://github.com/drycc/slugrunner/commit/098d05a927f8201d16f82ff0ef18e7ada02a6593) Dockerfile: consolidate a few chmod and chown into one layer (#54)


### Workflow CLI v2.5.1 -> v2.6.0

#### Features

- [`c760eb1`](https://github.com/drycc/workflow-cli/commit/c760eb13cd3cb4fe098f700b0ae33e4258312275) cmd: only print version mismatch warning once (#223)
- [`a330059`](https://github.com/drycc/workflow-cli/commit/a3300599ba7a247934b3e6483ef2ff65a92e05af) git: clean up git package and write tests (#227)

#### Refactors

- [`85f2df2`](https://github.com/drycc/workflow-cli/commit/85f2df23f90dcd82002d9b0d5cb1a3e25ebfaf1b) Dockerfile: remove deprecated --strip-vcs flag

#### Fixes

- [`6b13756`](https://github.com/drycc/workflow-cli/commit/6b13756587ed58c7af667da097f7130db658f601) CI: explicitly set codecov git SHA (#221)
- [`2bb4cde`](https://github.com/drycc/workflow-cli/commit/2bb4cdea48ce739921aa489f81c9c204c74dafe6) Jenkinsfile: un-parallelize lint and test tasks

#### Documentation

- [`c04610d`](https://github.com/drycc/workflow-cli/commit/c04610de61a56450578dae863e8515342fffc313) README.md: update bucket location
- [`8745328`](https://github.com/drycc/workflow-cli/commit/8745328563dc3632229343bf120e0e64a0d1e0f7) readme: adding codecov badge (#249)

#### Maintenance

- [`1041d9e`](https://github.com/drycc/workflow-cli/commit/1041d9ea6bf97a88075e45849bed5911933b13aa) Dockerfile: update go-dev and go toolchain


### Workflow Documentation v2.5.0 -> v2.6.0

#### Features

- [`a3a25c0`](https://github.com/drycc/workflow/commit/a3a25c0aea39d5e7e721aa3b9ef8dd9c54306742) scripts: build every tagged version of workflow docs
- [`9ae8f9c`](https://github.com/drycc/workflow/commit/9ae8f9c378521d30ff8178d04176095b1d2564d7) apps: add information about IMAGE_PULL_POLICY globally and per app (#504)

#### Refactors

- [`495e1a1`](https://github.com/drycc/workflow/commit/495e1a17900b2d3304e6e7918abb8edc12faf2e1) configuring-registry: clarify ECR registry variables

#### Fixes

- [`fb5d378`](https://github.com/drycc/workflow/commit/fb5d378a084b70810d3a13c3388cc596fa5fecd5) releases: dryccrel no longer requires $OLD_SHA and $OLD_RELEASE
- [`cb23b43`](https://github.com/drycc/workflow/commit/cb23b43ec310888c53d8b55f08cbe166c9fb17c3) components: link to architecture, not itself (#499)
- [`c95c24b`](https://github.com/drycc/workflow/commit/c95c24bb760e13ff1012159bdbe43dcc478e8d05) configuring-registry: add missing IAM link
- [`6509c41`](https://github.com/drycc/workflow/commit/6509c41fab97c4bdfbd00006352827cf9a5fe622) docs: add documentation on resetting a password using the cli. (#507)
- [`7b88723`](https://github.com/drycc/workflow/commit/7b8872332e6cd11b26683536d96f25f5e707b44d) docs: change the references from RC's to deploments
- [`54df10a`](https://github.com/drycc/workflow/commit/54df10af0707865a270281d487b3a27fc372932b) dryccrel: update the dryccrel command to generate changelog
- [`0e56d8a`](https://github.com/drycc/workflow/commit/0e56d8ab4194cfc9d29748c303bf357b10bac2ac) gutenbuild: do not build any pre-release tags
- [`80f0551`](https://github.com/drycc/workflow/commit/80f0551716bc146b52300a7b6a7e8326bca8f315) gutenbuild: ensure we are on master before building
- [`1e87307`](https://github.com/drycc/workflow/commit/1e8730733f5d695f01058236bd4f276d9d9ff577) gutenbuild: prepend grep string with --
- [`26d8a40`](https://github.com/drycc/workflow/commit/26d8a405733d3f92c9b909aef68c564a4bea98df) gutenbuild: use dev_build_dest for second build

#### Documentation

- [`8b542a1`](https://github.com/drycc/workflow/commit/8b542a13e47c057a396c0adff0174d035ccad278) upgrade: reminder to upgrade drycc client
- [`0ef84bc`](https://github.com/drycc/workflow/commit/0ef84bcc360f0660d26f834fe18d7b75c5b8115c) slugbuilder-cache: add CACHE_PATH variable
- [`a349d20`](https://github.com/drycc/workflow/commit/a349d2025f5d2243b653b746cb162768bb9be8ff) slugbuilder-cache: add usage documentation
- [`1f09a8c`](https://github.com/drycc/workflow/commit/1f09a8ce818e82fe205beeb799b883c19ab5858e) slugbuilder-cache: add application tuning variable
- [`ec42f7b`](https://github.com/drycc/workflow/commit/ec42f7bb8bdd5051def6de6d1e79750e75aa1d1a) src/roadmap/releases.md: remove publish component release step
- [`a971a25`](https://github.com/drycc/workflow/commit/a971a25c047f9a7e25650757d8391814f42b41f5) CONTRIBUTING: update contributing documentation (#498)
- [`d0a43b5`](https://github.com/drycc/workflow/commit/d0a43b5ca27972b9ed4145690a4cd169e96a9537) tuning: update storage default for logger
- [`5720dce`](https://github.com/drycc/workflow/commit/5720dcedb855c8f0d409eb1f4a34f8ca045e085a) src/managing-workflow/upgrading-workflow.md: document nodes >= 2 for upgrade
- [`5705489`](https://github.com/drycc/workflow/commit/5705489307424ff8c65565ddc33f867d04268c91) src/roadmap/releases.md: link to pipeline flow diagrams
- [`0da5297`](https://github.com/drycc/workflow/commit/0da52979a42f575bde50b806c595561ce3868340) managing-workflow: Document PROXY protocol configuration
- [`b5f2d99`](https://github.com/drycc/workflow/commit/b5f2d99308c12ed02490d01893af51bb43510347) releases: add missing details and reword CI flow reference

#### Maintenance

- [`7faaaa7`](https://github.com/drycc/workflow/commit/7faaaa7fa6ecd20306a2a91111076b615ec22d43) release: update roadmap for 2.5
- [`e8c5d3f`](https://github.com/drycc/workflow/commit/e8c5d3f9bc27127c94bed5acff9749b199dbc1b8) src/roadmap/releases.md: update jenkins-jobs var name
- [`2655c90`](https://github.com/drycc/workflow/commit/2655c9040b4187e8c0a1bc4d0805f86620700c1a) scripts: remove old release tools and CHANGELOG


### Workflow E2E Tests v2.5.2 -> v2.5.3

#### Fixes

- [`4f00c8b`](https://github.com/drycc/workflow-e2e/commit/4f00c8bb9e4b876e68b4abc4db1995cec5d28f6e) tests: re-enable tls tests (#326)


### Worklfow Manager v2.4.1 -> v2.4.2

#### Maintenance

- [`350f7c3`](https://github.com/drycc/workflow-manager/commit/350f7c36c3a2432c8ddba7ce7f8d2cc03a26d054) Dockerfile: update base image to v0.3.4
