## Workflow v2.8.0 -> v2.9.0

#### Releases

- builder v2.5.4 -> v2.6.1
- charts v2.8.0 -> v2.9.0
- controller v2.8.1 -> v2.9.0
- dockerbuilder v2.5.0 -> v2.5.2
- fluentd v2.4.3 -> v2.5.0
- logger v2.3.2 -> v2.4.0
- minio v2.3.3 -> v2.3.4
- monitor v2.6.2 -> v2.7.0
- nsq v2.2.4 -> v2.2.5
- postgres v2.2.5 -> v2.4.4
- redis v2.2.3 -> v2.2.4
- registry v2.2.3 -> v2.3.1
- registry-token-refresher v1.0.3 -> v1.0.4
- router v2.6.5 -> v2.7.0
- slugbuilder v2.4.5 -> v2.4.7
- slugrunner v2.2.3 -> v2.2.4
- workflow-cli v2.8.0 -> v2.9.1
- workflow-e2e v2.6.1 -> v2.7.1
- workflow-manager v2.4.3 -> v2.4.4

#### Features

- [`ea9e648`](https://github.com/drycc/charts/commit/ea9e648bf535cc8def497256597c464ce962ea1f) (charts) - workflow-dev: add preStop hook to postgres
- [`26c78ee`](https://github.com/drycc/controller/commit/26c78eecef7d753016fdd38851f741d4e3832530) (controller) - limits-cmd: accept new limits:set value type
- [`bc4f452`](https://github.com/drycc/controller/commit/bc4f452a08fb1e6c556ec257db55de445b1c89d9) (controller) - label-cmd: support new label cmd
- [`a01c455`](https://github.com/drycc/fluentd/commit/a01c4558625b93d56e1cc3178f6aa352817dd3e7) (fluentd) - drycc_out: Add time to record when publishing to nsq
- [`7498fe5`](https://github.com/drycc/logger/commit/7498fe5802ed197bae89e6e54e5f127d84fd2f1e) (logger) - model/message_handler: Add time to log message output
- [`c105495`](https://github.com/drycc/minio/commit/c1054953ba3e45b6d43e8e53d0c8560e175eb1f8) (minio) - travis: add codecov
- [`444838e`](https://github.com/drycc/postgres/commit/444838e2ce23328e6c3320cc285f63966c9eb33c) (postgres) - charts: add backup to preStop hook
- [`19466c5`](https://github.com/drycc/router/commit/19466c579f59d64bba9ffd533db653b14a20d361) (router) - charts: Add support to add annotations during install
- [`07747dd`](https://github.com/drycc/workflow-cli/commit/07747dd4c889676942be5e4f94c586dd38b5b103) (workflow-cli) - cmd: allow config:set FOO=""
- [`029f39e`](https://github.com/drycc/workflow-cli/commit/029f39e09562b041159a8ba18894cf7cc77b9aa4) (workflow-cli) - label-cmd: add Label cmd
- [`8ab113f`](https://github.com/drycc/workflow-cli/commit/8ab113f34185b0b64eeb8747d8a49d0b0d0c39b1) (workflow-cli) - label-cmd: update controller-sdk-go dependency
- [`8955e7e`](https://github.com/drycc/workflow-cli/commit/8955e7ed47c2a152a01c292c3facdd7f4e5078b9) (workflow-cli) - cmd/labels.go: sort labels when listing
- [`874c9e0`](https://github.com/drycc/workflow-e2e/commit/874c9e056765bf46dd960c39523558bc67b350a0) (workflow-e2e) - label-cmd: add Label cmd

#### Refactors

- [`67c0a3f`](https://github.com/drycc/charts/commit/67c0a3f0c45e5b3b8a833751f1ab12fa1a01d294) (charts) - workflow-dev: make PGCTLTIMEOUT tunable
- [`a026223`](https://github.com/drycc/postgres/commit/a026223ec3852579311e6c3f3e0fa3402e3b9107) (postgres) - rootfs: remove timeout to pg_ctl start
- [`fe9364e`](https://github.com/drycc/postgres/commit/fe9364e728478d5a2eab964dd9781e029935c8c1) (postgres) - backup: bump default base backup interval to 4h
- [`3af1129`](https://github.com/drycc/registry/commit/3af11290c99b1b113934e5efa251bc8538947c2c) (registry) - Dockerfile: use upstream registry image

#### Fixes

- [`4745179`](https://github.com/drycc/builder/commit/4745179d9487ced5607cd7398a55c5488fabf5c9) (builder) - charts: Use the common storage secret
- [`5460be8`](https://github.com/drycc/builder/commit/5460be8cdb844841c711cce4fe4640f3f3c9d208) (builder) - slugbuilder: Dont expose the conifg as env vars during build
- [`c960478`](https://github.com/drycc/builder/commit/c960478826dbf6f32554599bde9121883f17f66a) (builder) - gitreceive: clarify the error message when release failed
- [`fcd7edd`](https://github.com/drycc/builder/commit/fcd7edd815fdd46f8fbc8eba71f33c64b1aa313e) (builder) - charts: Don't use caps in the configmap keys
- [`92f7751`](https://github.com/drycc/charts/commit/92f775103fe6fc1f664a5f3636ecffd54277bf07) (charts) - workflow-dev/tpl/drycc-database-deployment.yaml: rename env var
- [`5bc0305`](https://github.com/drycc/charts/commit/5bc030565c7ed762c69aab3808fececec6fd9b4f) (charts) - workflow-dev: rewrite to avoid whitespace errors
- [`615b834`](https://github.com/drycc/controller/commit/615b834f39cb68a854cc1f1e2f0f82d862ea2731) (controller) - boot: Ensure DRYCC_DEBUG==true for debug output
- [`f3daff7`](https://github.com/drycc/controller/commit/f3daff74471249baae1f17e0faf159046ffb87ff) (controller) - proctype: Change the regex used for validating proctypes
- [`828c13b`](https://github.com/drycc/controller/commit/828c13bca15e94ffd8fced28f032f6623c7bf9d7) (controller) - port: Port can be made optional for non-routable apps
- [`4dd1a6c`](https://github.com/drycc/controller/commit/4dd1a6c37a4496a1a1adae8ef1b2c353ed2a71fc) (controller) - timeout-debug-msg: unresolved variable (#1148)
- [`ffeb14a`](https://github.com/drycc/controller/commit/ffeb14a184727efa94af4d62c1f10003bb803a88) (controller) - api: ensure a 409 is raised when cancelling a user with downstream objects (#1147)
- [`06211a2`](https://github.com/drycc/controller/commit/06211a27f78c0bfdf0c9d5eee421d0bb3bc277a0) (controller) - api: transfer all downstream resources along with app (#1146)
- [`87ef21d`](https://github.com/drycc/dockerbuilder/commit/87ef21d9280a8cae5c60cca3a67e2eec698d14dd) (dockerbuilder) - charts: Don't use caps in the configmap keys
- [`0b6d8a9`](https://github.com/drycc/dockerbuilder/commit/0b6d8a96e5bbd565a80f049accaf55af0d80d9cc) (dockerbuilder) - move to python3
- [`f113aac`](https://github.com/drycc/fluentd/commit/f113aac7c4a942262dd6b8b4f7c8c4bfc7259cd6) (fluentd) - elastic search: Allow the elastic search plugin to index via namespace
- [`4c72d59`](https://github.com/drycc/minio/commit/4c72d5911f941f6ff3b620df923ebcb05fe8c244) (minio) - codecov: add test-cover target
- [`4bb00a1`](https://github.com/drycc/postgres/commit/4bb00a1c4662a4cc003742997084aaecf84ee5d3) (postgres) - charts: Use the common storage secret
- [`414c534`](https://github.com/drycc/postgres/commit/414c5344df413bbd8f6a943ec02d3c92bd55349f) (postgres) - test-swift: remove reliance on local swift client
- [`b63909a`](https://github.com/drycc/postgres/commit/b63909a96e5e43f64de193aad557aeb3a7d7565e) (postgres) - test-minio: change DNS entry to minio
- [`b7a2d5b`](https://github.com/drycc/postgres/commit/b7a2d5b6a03036d210ac41d21de1c488c92b3a3b) (postgres) - setup_envdir: remove AWS_REGION from WALE_S3_ENDPOINT
- [`d1744d5`](https://github.com/drycc/postgres/commit/d1744d5813942cc440b56c8330b29cc2f84942f0) (postgres) - setup_envdir: do not set AWS_ACCESS_KEY_ID if empty
- [`3984d62`](https://github.com/drycc/postgres/commit/3984d62270ebe6a1747209497f8d958bb5571106) (postgres) - gcs: Use correct env variable for the gcs service account file path
- [`7458672`](https://github.com/drycc/postgres/commit/7458672dbb76b90c2442d065238c25a97ec4cb0f) (postgres) - charts: fix typo and stanza location
- [`388c593`](https://github.com/drycc/postgres/commit/388c593dd182755fad2218ef2c1f24d39bc29948) (postgres) - boto: specify the region while getting s3 connection
- [`758632d`](https://github.com/drycc/postgres/commit/758632dae206685916fd2edeeb1113b9b455b86a) (postgres) - setup-envdir: convert AWS_REGION to WALE_S3_ENDPOINT
- [`bc77951`](https://github.com/drycc/postgres/commit/bc7795100a1e7c0d535c5d519ec9f925f71fd4e5) (postgres) - create_bucket: try default s3 region on create error
- [`8bf4c52`](https://github.com/drycc/postgres/commit/8bf4c52fbc4bd2c54166f7d072578be11c4d90c7) (postgres) - create_bucket: propagate us-east-1 to wal-e
- [`76bf6d8`](https://github.com/drycc/redis/commit/76bf6d8cb88131aa6b14a65acc33e0f9a2b60f3e) (redis) - charts: Use proper values for offcluster redis
- [`e4bbb57`](https://github.com/drycc/registry/commit/e4bbb573051ee0ee0de734f0262c5ecc70bcfd74) (registry) - charts: Use the common storage secret
- [`6e27041`](https://github.com/drycc/registry/commit/6e27041194d694857ffcd4056e52288f9393c994) (registry) - boto: specify the region while getting s3 connection
- [`384bf31`](https://github.com/drycc/slugbuilder/commit/384bf313d62d2d5d895354b991b5be6123952b57) (slugbuilder) - charts: Don't use caps in the configmap keys
- [`5b053c8`](https://github.com/drycc/workflow-cli/commit/5b053c801b8a1767f44f0168ef3af1aa5d79c3d6) (workflow-cli) - login: User should login by default when he registers
- [`5b06f6b`](https://github.com/drycc/workflow-e2e/commit/5b06f6b7a0cd2f9a36c8df97ab3760553e9af17f) (workflow-e2e) - tests/labels_test.go: adjust spacing

#### Documentation

- [`bd1a6f1`](https://github.com/drycc/charts/commit/bd1a6f181ca35b33ae7e5a70676a66d3cf849e53) (charts) - README: remove dead Travis CI badge
- [`de94939`](https://github.com/drycc/charts/commit/de949394811acab8bd7960f27493531795c98c68) (charts) - add note about Helm classic deprecation
- [`1f60736`](https://github.com/drycc/workflow-e2e/commit/1f6073696baf766a7b7c83ac8483fc9e1b1a2239) (workflow-e2e) - README: swap out helmc for helm installation instructions

#### Tests

- [`a5666f1`](https://github.com/drycc/controller/commit/a5666f1225901f211350e33a378438f461186cfb) (controller) - scheduler: confirm "network unreachable" raises KubeHTTPException (#1142)
- [`92a0f8e`](https://github.com/drycc/controller/commit/92a0f8e1d16e1c51dae4999e23c57d0321c2fe0b) (controller) - label-cmd: add new label cmd test
- [`d2ab260`](https://github.com/drycc/workflow-cli/commit/d2ab26062035c89e317b22bdf21b430568a231d2) (workflow-cli) - label-cmd: add Label cmd test

#### Maintenance

- [`d08070e`](https://github.com/drycc/builder/commit/d08070e6b14ea4933110b0f0483de80fec0ab583) (builder) - Dockerfile: update drycc/base to 0.3.5
- [`3fb031a`](https://github.com/drycc/builder/commit/3fb031a34f3b21a936e5996696d1642a0b20788b) (builder) - Makefile: update drycc/go-dev to 0.20.0
- [`a5d9525`](https://github.com/drycc/builder/commit/a5d95259c57c2712d29bf6284ff2112da31d7063) (builder) - glide.yaml: update controller-sdk-go
- [`0fbd407`](https://github.com/drycc/charts/commit/0fbd407f7c44a291d687f201f02dd42a23248624) (charts) - workflow-v2.9.0: releasing workflow-v2.9.0(-e2e)
- [`46c72dd`](https://github.com/drycc/controller/commit/46c72dd87d8b7ffa9dad12aec316e17b4fde7d00) (controller) - requirements: update Django to 1.10.3
- [`e81be7a`](https://github.com/drycc/controller/commit/e81be7a0bbe7da13e629012818835ff52ed27473) (controller) - requirements: update docker-py to 1.10.6
- [`e3d66aa`](https://github.com/drycc/controller/commit/e3d66aabc5533bbad02e3155da790064a39cd530) (controller) - Dockerfile: update drycc/base to 0.3.5
- [`6cb0dd1`](https://github.com/drycc/controller/commit/6cb0dd1ef65bea65a0050245eb3fe9df671057c8) (controller) - requirements: update DRF to 3.5.2
- [`db9d44c`](https://github.com/drycc/controller/commit/db9d44c0b639ed8c4154bee9874e8539fd60e374) (controller) - requirements: update DRF to 3.5.3
- [`5921ff1`](https://github.com/drycc/controller/commit/5921ff1e4eb145092162a041dc84110b2fc0d22e) (controller) - requirements: update requests lib to 2.12.1
- [`11d0e4b`](https://github.com/drycc/controller/commit/11d0e4b203b9654aa709df6504caa46a774b6f89) (controller) - requirements: update backoff library
- [`2ba4e2e`](https://github.com/drycc/dockerbuilder/commit/2ba4e2e44dce76df0d7fba868e6dab8fb6560955) (dockerbuilder) - Dockerfile: update docker-py to 1.10.6
- [`04ad320`](https://github.com/drycc/dockerbuilder/commit/04ad320a909c165a74dc3a6205266b3115458257) (dockerbuilder) - Dockerfile: update drycc/base to 0.3.5
- [`e5d8a25`](https://github.com/drycc/fluentd/commit/e5d8a253c960c27e352bf69f183f1252dd9cc8ed) (fluentd) - Dockerfile: update drycc/base to 0.3.5
- [`a756744`](https://github.com/drycc/logger/commit/a756744b3256410c77258c8832040845c6223c2c) (logger) - tests: Add more tests to increase coverage
- [`bcf8bb4`](https://github.com/drycc/logger/commit/bcf8bb489277090b58bd322d579df3321493cda0) (logger) - Dockerfile: update drycc/base to 0.3.5
- [`65c2d14`](https://github.com/drycc/logger/commit/65c2d143cc6761ceb0ba561254bc14cd0c660c75) (logger) - Makefile: update drycc/go-dev to 0.20.0
- [`9d496b4`](https://github.com/drycc/minio/commit/9d496b49ef72e910c99447740dc2cc17fa2f94c0) (minio) - Dockerfile: update drycc/base to 0.3.5
- [`d230c2b`](https://github.com/drycc/minio/commit/d230c2bb336be9510e8529785c49ba5ca615ee20) (minio) - Makefile: update drycc/go-dev to 0.20.0
- [`0369d15`](https://github.com/drycc/monitor/commit/0369d1585edd83d0a07dd4c2cc2c92dc8b234759) (monitor) - grafana: Add improved kubernetes health dashboard
- [`8c44281`](https://github.com/drycc/monitor/commit/8c442819ada08b70d3aa9e6c3b663f830fd0fc66) (monitor) - grafana: Update to 3.1.1
- [`7a730d9`](https://github.com/drycc/monitor/commit/7a730d91ccc665044f4b6268ad25b766ce436330) (monitor) - Dockerfiles: update drycc/base to 0.3.5
- [`a35ed28`](https://github.com/drycc/nsq/commit/a35ed28b4a6d340855ee4eb18e24c36643c84d6c) (nsq) - Dockerfile: update drycc/base to 0.3.5
- [`42225fd`](https://github.com/drycc/postgres/commit/42225fdd9b0b0babab53024a87ded21493f0bfd4) (postgres) - Dockerfile: bump to wal-e v1.0.1
- [`99e5254`](https://github.com/drycc/postgres/commit/99e52543b798ba79e71b73e9d25e4bf38a4e230d) (postgres) - Dockerfile: bump PG_VERSION to 9.4.10-1.pgdg16.04+1
- [`c8f3d28`](https://github.com/drycc/postgres/commit/c8f3d28d1b34ed502534d1a0ae0bdd98bec3e899) (postgres) - Dockerfile: bump boto to 2.43.0
- [`3f80837`](https://github.com/drycc/postgres/commit/3f80837b2f798741977a86f65e30d404382f3914) (postgres) - Dockerfile: update drycc/base to 0.3.5
- [`8c85530`](https://github.com/drycc/postgres/commit/8c85530d47f6ccab97af47adad16fed8fa2067c5) (postgres) - Makefile: update drycc/go-dev to 0.20.0
- [`6d8f6b4`](https://github.com/drycc/redis/commit/6d8f6b4c26ec57a231888d23fe69f7d39240afed) (redis) - Dockerfile: update drycc/base to 0.3.5
- [`9f3e88f`](https://github.com/drycc/registry/commit/9f3e88fc92c8ed1ff94c3f28b0c449173a146984) (registry) - Dockerfile: update drycc/base to v0.3.5
- [`edb65d5`](https://github.com/drycc/registry/commit/edb65d549313f75962bb4185bb9f9c5be85fc22a) (registry) - Makefile: update docker-go-dev to 0.20.0
- [`5ef240b`](https://github.com/drycc/registry-token-refresher/commit/5ef240b2e353aebff3cebf425a6ebcb0eb6279d9) (registry-token-refresher) - Dockerfile: update drycc/base to v0.3.5
- [`1380b20`](https://github.com/drycc/registry-token-refresher/commit/1380b2093009e26b0c6327ba6150aa84d63773e0) (registry-token-refresher) - Makefile: update drycc/docker-go-dev to 0.20.0
- [`ee40fe5`](https://github.com/drycc/router/commit/ee40fe5368c6b20b2e3d4773cb9bd39e29331266) (router) - Makefile: bump docker-go-dev to 0.20.0
- [`fd563fe`](https://github.com/drycc/router/commit/fd563febc3fa0dea6f3876eedf49c8e74c97851f) (router) - Dockerfile: update drycc/base to v0.3.5
- [`99316f6`](https://github.com/drycc/router/commit/99316f65e0102d72b8ed545eab8bad1c04000f7b) (router) - nginx: update nginx to 1.11.6
- [`7960638`](https://github.com/drycc/slugbuilder/commit/79606385e578b225b37ebf84efb027bdbfd9f9dc) (slugbuilder) - buildpacks: update heroku-buildpack-php to v113
- [`44f1194`](https://github.com/drycc/slugbuilder/commit/44f11949ae6f4067512e634a7363cdf8174b14d8) (slugbuilder) - buildpacks: update heroku-buildpack-go to v52
- [`f749395`](https://github.com/drycc/slugbuilder/commit/f749395e9dff66d84e8d81395b10f8faa866e860) (slugbuilder) - Makefile: bump drycc/docker-go-dev to 0.20.0
- [`8a62e05`](https://github.com/drycc/slugbuilder/commit/8a62e050c35e98920a7782e7f6cffd7b000b19f6) (slugbuilder) - buildpacks: update heroku-buildpack-python to v83
- [`bf8cd6d`](https://github.com/drycc/slugbuilder/commit/bf8cd6db2ea4d073f80b31ed455b118272309c54) (slugbuilder) - buildpacks: update heroku-buildpack-php to v114
- [`aefdf03`](https://github.com/drycc/slugbuilder/commit/aefdf0313fc2eb0d1a307db2cc3d5c74cf55178c) (slugbuilder) - buildpacks: update heroku-buildpack-python to v85
- [`920815c`](https://github.com/drycc/slugbuilder/commit/920815c532fc894ddb6046019b18ace75171d09f) (slugbuilder) - buildpacks: update heroku-buildpack-ruby to v148
- [`2bed510`](https://github.com/drycc/slugbuilder/commit/2bed510e485a6dd3fed335f48c62e5197b5d03a7) (slugbuilder) - buildpacks: update heroku-buildpack-java to v48
- [`3d308c8`](https://github.com/drycc/slugbuilder/commit/3d308c8490361aa8ada8cf9d6b164fa6bf39b87c) (slugbuilder) - buildpacks: update heroku-buildpack-grails to v21
- [`ba9a77d`](https://github.com/drycc/slugrunner/commit/ba9a77d7a2ed0111c977bceb2aa55e30c7dd39ab) (slugrunner) - Makefile: update drycc/docker-go-dev to 0.20.0
- [`f290693`](https://github.com/drycc/workflow-cli/commit/f290693dde2e4bcb49e280ac6069ee1d183d582f) (workflow-cli) - glide: update controller-sdk-go package
- [`5ed663b`](https://github.com/drycc/workflow-e2e/commit/5ed663b6c78e77f3a4ab1ad20cb0ffb8877697ed) (workflow-e2e) - apps_test: Fix up logger tests for new log format
- [`96c5779`](https://github.com/drycc/workflow-e2e/commit/96c5779b1d6a038753ca8de7976acbdef3525acf) (workflow-e2e) - Dockerfile: bump drycc/docker-go-dev to 0.19.0 (#336)
- [`f9cbec4`](https://github.com/drycc/workflow-e2e/commit/f9cbec43e8d362ae1b16c471ce2053ef95a60c53) (workflow-e2e) - Dockerfile: bump kubectl version
- [`df3684f`](https://github.com/drycc/workflow-manager/commit/df3684f117e7407a56cb14d5127e4d90653dce7c) (workflow-manager) - Dockerfile: bump drycc/base to v0.3.5
- [`e267d45`](https://github.com/drycc/workflow-manager/commit/e267d45304de09cbfc7aef27f7c1662756394253) (workflow-manager) - Makefile: bump drycc/docker-go-dev to 0.20.0
- [`dea4480`](https://github.com/drycc/workflow-manager/commit/dea44807a548c60500f7cb15bcf56d344b49d85a) (workflow-manager) - Makefile: update goswagger/swagger to 0.7.3
