# Welcome to Drycc Workflow

Drycc (pronounced DAY-iss) Workflow is an open source Platform as a Service (PaaS) that adds a
developer-friendly layer to any Kubernetes cluster, making it easy to deploy and manage
applications.

Drycc Workflow includes capabilities for building and deploying from source via `git push`, simple
application configuration, creating and rolling back releases, managing domain names and SSL
certificates, providing seamless edge routing, aggregating logs, and sharing applications with
teams. All of this is exposed through a simple REST API and command line interface.

Please note that this documentation is for Drycc Workflow (v2.20.0).  Older versions of Drycc and
Drycc Workflow are not supported.

## Getting Started

To get started with Workflow, follow our [Quick Start][quickstart] guide.

Take a deep dive into Drycc Workflow in our [Concepts][concepts], [Architecture][arch], and
[Components][components] sections.

Feel like contibuting some code or want to get started as a maintainer? Pick an issue tagged as an
[easy fix][] or [help wanted][] and start contributing!

## Service and Support

Coming soon.


[arch]: understanding-workflow/architecture.md
[concepts]: understanding-workflow/concepts.md
[components]: understanding-workflow/components.md
[easy fix]: https://github.com/pulls?utf8=%E2%9C%93&q=user%3Adrycc+label%3A%22easy+fix%22+is%3Aopen
[help wanted]: https://github.com/pulls?utf8=%E2%9C%93&q=user%3Adrycc+label%3A%22help+wanted%22+is%3Aopen
[quickstart]: quickstart/index.md
